#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5828c3d, "ata_qc_get_active" },
	{ 0x105effc6, "ata_qc_complete_multiple" },
	{ 0x80d7d9dc, "sata_std_hardreset" },
	{ 0x9d40bdcb, "ata_sff_softreset" },
	{ 0x19b30c2f, "sata_scr_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xf17116aa, "sata_link_hardreset" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xbc3281ee, "ata_bmdma_qc_issue" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xfb4106b9, "ata_sff_queue_pio_task" },
	{ 0x696901e1, "ata_ehi_clear_desc" },
	{ 0xcaff8798, "ata_ehi_push_desc" },
	{ 0x978340dd, "ata_link_abort" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb1fbbce4, "sata_scr_write_flush" },
	{ 0xe75642b0, "ata_bmdma_port_intr" },
	{ 0x89e0c562, "ata_link_offline" },
	{ 0xcf6a44de, "ata_port_abort" },
	{ 0xa67ea07, "sata_async_notification" },
	{ 0xf55689d3, "ata_pci_remove_one" },
	{ 0x24ef128b, "ata_pci_device_suspend" },
	{ 0x6cf370cd, "ata_bmdma_port_ops" },
	{ 0x63d2a1bf, "ata_sff_port_ops" },
	{ 0xe2d999a8, "ata_scsi_queuecmd" },
	{ 0xe51874f1, "ata_scsi_ioctl" },
	{ 0xb6980fda, "ata_scsi_slave_alloc" },
	{ 0xccbf9301, "ata_scsi_device_configure" },
	{ 0xdbba39c9, "ata_scsi_slave_destroy" },
	{ 0x99181e87, "ata_scsi_change_queue_depth" },
	{ 0xae62d26d, "ata_scsi_dma_need_drain" },
	{ 0xad9b2db2, "ata_std_bios_param" },
	{ 0x58f962c2, "ata_scsi_unlock_native_capacity" },
	{ 0x35d7f6b0, "ata_ncq_sdev_groups" },
	{ 0x917c7028, "ata_common_sdev_groups" },
	{ 0x27c536be, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0x87a9cefc, "__platform_driver_register" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x7e8218ab, "ata_host_suspend" },
	{ 0x66ba7276, "ata_host_detach" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x5b2a679d, "phy_power_off" },
	{ 0x96848186, "scnprintf" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb19b445, "ioread8" },
	{ 0x8c09c727, "ata_eh_analyze_ncq_error" },
	{ 0x7a81cd61, "ata_port_freeze" },
	{ 0xdee9d0fe, "sata_pmp_error_handler" },
	{ 0x50735247, "dmam_pool_create" },
	{ 0xee4b3185, "platform_driver_unregister" },
	{ 0x21d1eea7, "pci_read_config_dword" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34d432a3, "ata_sff_dma_pause" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xbb6eaf2f, "_dev_alert" },
	{ 0x9a9a6b68, "ata_host_resume" },
	{ 0x9ec03d0e, "platform_get_resource" },
	{ 0xe11e7ebe, "platform_get_irq" },
	{ 0x7a9f3c3c, "ata_host_alloc_pinfo" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0x6fea47d, "devm_ioremap" },
	{ 0xc3f480d, "clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4bed56fd, "devm_phy_optional_get" },
	{ 0x87cc8066, "phy_power_on" },
	{ 0xa9b9ad4, "ata_print_version" },
	{ 0xb563d972, "_dev_notice" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xa7f6f5bd, "ata_host_activate" },
	{ 0x4e1aa659, "ata_pci_device_do_resume" },
	{ 0x5f9aae54, "pcim_enable_device" },
	{ 0x5acd7894, "pcim_iomap_regions" },
	{ 0xda29e996, "pcim_iomap_table" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0x5719963e, "dma_set_coherent_mask" },
	{ 0xb297e0c6, "ata_port_pbar_desc" },
	{ 0x5acd8aec, "pci_read_config_byte" },
	{ 0xd19ffe42, "pcim_pin_device" },
	{ 0x218ea7b4, "pci_enable_msi" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x50f5bd13, "pci_try_set_mwi" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v000011ABd00005040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001740sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001742sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000241sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000243sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00007042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002310sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E42AE79D6858BF81291B67A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
