#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0xb30938b4, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xc40dbf1b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x98bb2d93, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x9084c390, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xade8bc03, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x8e756f95, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xfec9155a, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x9cb7af43, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xbc7136ca, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x7560d1fb, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x57f2b6c7, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xc570f7d7, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x19f5433a, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xc5b7763e, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x600031c3, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x3b37df3c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9aae8b66, "drm_client_framebuffer_delete" },
	{ 0x351a07a5, "dma_free_pages" },
	{ 0x815b9933, "drm_client_framebuffer_create" },
	{ 0x633d186b, "drm_fb_helper_deferred_io" },
	{ 0xceeaad3f, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0x88598414, "drm_driver_legacy_fb_format" },
	{ 0xbf5a3c3, "drm_fb_helper_fill_info" },
	{ 0xde0e470d, "drm_gem_create_mmap_offset" },
	{ 0xc2f774d4, "fb_deferred_io_init" },
	{ 0x205b951d, "fb_deferred_io_cleanup" },
	{ 0x731f637, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9637d09, "dev_driver_string" },
	{ 0x8e2369f5, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4447e45b, "fb_sys_write" },
	{ 0xecebce7, "sys_imageblit" },
	{ 0x61ee7b74, "drm_atomic_helper_damage_iter_init" },
	{ 0x7af5543c, "drm_fb_helper_damage_range" },
	{ 0x72beb97f, "drm_fb_helper_blank" },
	{ 0x47712bd8, "dma_alloc_pages" },
	{ 0x7a1eb50c, "drm_gem_private_object_init" },
	{ 0x5ff60d70, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb163d7a8, "drm_fb_helper_damage_area" },
	{ 0xd68d1f00, "sys_fillrect" },
	{ 0x9f6f24f6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd67edc17, "drm_client_init" },
	{ 0xb24210c3, "drm_gem_vm_close" },
	{ 0x413dcc93, "drm_gem_vm_open" },
	{ 0x9ae8b810, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xac4c0fd0, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5923cede, "drm_gem_handle_create" },
	{ 0xacf323d5, "drm_gem_fb_get_obj" },
	{ 0xf6708fee, "__drm_dev_dbg" },
	{ 0x90fc0bd1, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f55bdbd, "drm_fb_helper_pan_display" },
	{ 0xd3b55573, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7069ce8a, "sys_copyarea" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x6ee1288f, "__dma_sync_single_for_device" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x33bb2433, "drm_client_buffer_vunmap" },
	{ 0xdcf11a7e, "fb_sys_read" },
	{ 0xdc78ed06, "drm_fb_helper_debug_leave" },
	{ 0x3794575d, "dma_buf_vmap_unlocked" },
	{ 0xf645add7, "dma_mmap_attrs" },
	{ 0x4996572a, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x93131717, "drm_fb_helper_initial_config" },
	{ 0xef2e1a07, "drm_fb_helper_unregister_info" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x8fcbdd8b, "drm_fb_helper_ioctl" },
	{ 0xa576523, "drm_fb_helper_set_par" },
	{ 0x11df1b30, "drm_prime_gem_destroy" },
	{ 0x9bcea0ba, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x53f76f11, "try_module_get" },
	{ 0xb92ba364, "drm_fb_helper_init" },
	{ 0x38999129, "drm_fb_helper_debug_enter" },
	{ 0xa128ece, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa530395f, "drm_client_buffer_vmap" },
	{ 0x2171eb50, "drm_fb_helper_lastclose" },
	{ 0x5c46b145, "drm_fb_helper_setcmap" },
	{ 0x3ec4756b, "drm_fb_helper_alloc_info" },
	{ 0x483f3b2, "drm_helper_disable_unused_functions" },
	{ 0xad58d4b3, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x1f37d7d4, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x8ce837fe, "drm_fb_helper_fini" },
	{ 0xefdd9115, "dma_mmap_pages" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0075951C405E587E1188172");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
