#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x1eddff6d, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xdd7aad36, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xd9c6427d, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xd16a54f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba5bc72, "__pm_runtime_use_autosuspend" },
	{ 0xcbe11662, "__pm_runtime_suspend" },
	{ 0x37b9c298, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x779ad5dd, "iio_trigger_unregister" },
	{ 0x3b01fb53, "iio_trigger_free" },
	{ 0x2119d299, "iio_triggered_buffer_cleanup" },
	{ 0x79916ebb, "__pm_runtime_disable" },
	{ 0xa7408a68, "sensor_hub_device_close" },
	{ 0x28f7f3bf, "hid_sensor_get_usage_index" },
	{ 0xc8e17c4b, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf65ed1e1, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe36f7a72, "sensor_hub_device_open" },
	{ 0x78fd411a, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c618b88, "hid_sensor_set_report_latency" },
	{ 0x463654a1, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x8f299d8d, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xe4c6fb58, "iio_triggered_buffer_setup_ext" },
	{ 0x10f74ff8, "iio_device_id" },
	{ 0xcf4e0b0e, "__iio_trigger_alloc" },
	{ 0x34fa9757, "iio_trigger_register" },
	{ 0xe0dfc67c, "get_device" },
	{ 0xab727666, "__module_get" },
	{ 0x6c9c37b0, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f4f8e2f, "pm_runtime_enable" },
	{ 0x22644716, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
