#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde3cd001, "vb2_buffer_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cc79725, "usb_deregister" },
	{ 0x6e3366c3, "vb2_wait_for_all_buffers" },
	{ 0xa18e7e3, "usb_control_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x8f623d0c, "input_allocate_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xe5c25108, "input_set_abs_params" },
	{ 0x7d84b317, "input_mt_init_slots" },
	{ 0xb854383b, "input_setup_polling" },
	{ 0xc4f24807, "input_set_poll_interval" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf08ad14a, "input_register_device" },
	{ 0x36f9eb37, "v4l2_device_register" },
	{ 0x3b3b5ebd, "vb2_dma_sg_memops" },
	{ 0xb49e42ec, "vb2_queue_init" },
	{ 0x524481f7, "input_free_device" },
	{ 0xe0cbaf02, "video_device_release_empty" },
	{ 0x4e712058, "v4l2_ctrl_handler_init_class" },
	{ 0xc3e7daa7, "v4l2_ctrl_new_std" },
	{ 0xd129ad54, "v4l2_ctrl_handler_setup" },
	{ 0x257640d, "__video_register_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaaf73a01, "vb2_ioctl_reqbufs" },
	{ 0x795026c5, "vb2_ioctl_querybuf" },
	{ 0x44f941d7, "vb2_ioctl_qbuf" },
	{ 0x1e8bd13c, "vb2_ioctl_expbuf" },
	{ 0x16679840, "vb2_ioctl_dqbuf" },
	{ 0xc245a0aa, "vb2_ioctl_create_bufs" },
	{ 0xf8dfd310, "vb2_ioctl_streamon" },
	{ 0x7ad3659d, "vb2_ioctl_streamoff" },
	{ 0x3a376715, "vb2_fop_read" },
	{ 0x2ebc9adf, "vb2_fop_poll" },
	{ 0xffb1fcab, "video_ioctl2" },
	{ 0xb46578e2, "vb2_fop_mmap" },
	{ 0xbc2f5273, "v4l2_fh_open" },
	{ 0xd08ef496, "vb2_fop_release" },
	{ 0xc2b60613, "vb2_ops_wait_prepare" },
	{ 0x3121d92e, "vb2_ops_wait_finish" },
	{ 0x32336834, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b013ba7, "usb_register_driver" },
	{ 0x7400e945, "v4l2_ctrl_handler_free" },
	{ 0x4bc6d8d7, "video_unregister_device" },
	{ 0x64ec36a2, "v4l2_device_unregister" },
	{ 0x2f35b138, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xcd2b18d5, "video_devdata" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4386236d, "usb_bulk_msg" },
	{ 0xa4fab1f9, "input_mt_get_slot_by_key" },
	{ 0x6c85090f, "input_event" },
	{ 0xf7255e9d, "input_mt_report_slot_state" },
	{ 0x1f372b68, "input_mt_sync_frame" },
	{ 0xec861632, "vb2_plane_cookie" },
	{ 0xc68a3c2c, "usb_sg_init" },
	{ 0x12552e9d, "usb_sg_wait" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,usbcore,videodev,videobuf2-dma-sg,videobuf2-v4l2");

MODULE_ALIAS("usb:v045Ep0775d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "82574212E534CBB56E6F5CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
