#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x62ae8934, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xa7f4160c, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x559c7f40, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x0a221dfa, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x22d2e4cc, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x1cd7b16e, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x2fefe8e0, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xaa62fb52, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x748557ed, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x2d770bca, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x6631051e, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x3340d01e, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x28331a47, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x900dfeb7, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x33e48663, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x69ac5ed8, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x7d5ddb91, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x5c7b4496, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x94ddbdc0, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xb44f99f5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x772b287a, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x744c03ee, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xf2f92072, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xe2ccc384, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x93c35e22, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x0e7c9751, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x00c6f3aa, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xdc3b7db6, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x4ab7825d, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x4b0b58c1, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x0eee3450, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xc1aea588, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xab4dd899, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x71c0b09b, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xd153dcda, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x01fa7caa, "");
SYMBOL_CRC(mlx4_test_async, 0x4c7f0ab1, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xfbd9d85f, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x8e31f5ac, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x33ccf18a, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xe3706808, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x9269d914, "");
SYMBOL_CRC(mlx4_assign_eq, 0x70242bfe, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x9621a431, "");
SYMBOL_CRC(mlx4_release_eq, 0xb1fd5a33, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x5a6e66ff, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x82c0047a, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xd6c2350d, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xfe729e28, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x2c8ab307, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xf2e58cf4, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x08df95fb, "");
SYMBOL_CRC(mlx4_wol_read, 0xf1cb9a7a, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xc4d50861, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xbee5b7f2, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xc4895c36, "");
SYMBOL_CRC(set_phv_bit, 0xe44f648a, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x197c49df, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x620e1465, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x192ce465, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xe5f7a074, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x56e78a91, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xa64231c1, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x50f149e3, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x4ccb44bb, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xac3367d2, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x92d5d416, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x194d7cb6, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x6248124f, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x07d0cdb2, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x0d2fafbf, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x88744625, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x42c2fe94, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x46af37b1, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x9fe4c032, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xf1c1b5f0, "");
SYMBOL_CRC(mlx4_read_clock, 0x8a14b543, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x452b3793, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xeaee3645, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x5709e699, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xd357070c, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xf1b75610, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x1692be58, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xc9a487e4, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x4c1d0ac8, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xeee31867, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xb3f49337, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x4a50477d, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x6ccd4aff, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x4c8e9450, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x2e55b251, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x8bbc477e, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x8cebddc6, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xedb07404, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x514dc541, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xd1f9bcd3, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xec4ddfb9, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x89b4ddbb, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x08c8acc4, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x4c5d7bc6, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xbd915612, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x47a272b8, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x261d9205, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xf0bf999c, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xfe8c1a9b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x7bf5b6e0, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x35884afc, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xae80e316, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xaae62c08, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xa784919a, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x0cbe40bf, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x12496087, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x1f51728a, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x38f879a5, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xadbc9c5c, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xd554a192, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xdfa91826, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xe5b20306, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xbf090d76, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xe133e569, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xa93b87bb, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xb0739e8b, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x52528b79, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x9b1d42c4, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x3a1c251b, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x4726041a, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x3e292cb3, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xf88046a6, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x61c1da4c, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x566a5ab6, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x754147d1, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x60e84b64, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x8af4daed, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xe895306b, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xee3ba332, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x3dd269be, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xc768bf19, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x2502a888, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x47e4e220, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x1fdd179f, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x88db48a7, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x704e4142, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xbb27e62f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x972cd503, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x23f236ca, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x252b7574, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xe8a03b40, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xae5097de, "");
SYMBOL_CRC(mlx4_get_module_info, 0x3573a986, "");
SYMBOL_CRC(mlx4_max_tc, 0xbbd1944b, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x11627d36, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x2de1a119, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xcd86c03f, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x369469ef, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x0767a1d1, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x93f3c482, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x5b291375, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xd6d185ab, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xfbf52073, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x2cce33fb, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x0469d09f, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xd8e50d83, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x402f9bd1, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x66570a50, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3c47179, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf282718f, "param_ops_byte" },
	{ 0xe0dfc67c, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x21d1eea7, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f2736fc, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xee8a3e29, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x63bb7851, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83802e8e, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xace5ad00, "put_device" },
	{ 0x117ac43f, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0xe64df57e, "__free_pages" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x81026159, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x69fb8466, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x195d3506, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xb2cd6c95, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xaeb2980e, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0x1a7bebfb, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb32d3680, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34aadb16, "pci_restore_state" },
	{ 0x9eca978a, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x7478936c, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xcaa8726b, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xd539f67c, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc82c2360, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5719963e, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x46418e14, "param_ops_bool" },
	{ 0xf0b833f1, "pci_release_regions" },
	{ 0x6ee1288f, "__dma_sync_single_for_device" },
	{ 0x4ce47026, "devl_assert_locked" },
	{ 0x7e817912, "pcie_print_link_status" },
	{ 0x26f4a48e, "devl_port_unregister" },
	{ 0x4bf44575, "devl_param_driverinit_value_get" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x99808e3, "devlink_priv" },
	{ 0x8f19ce05, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdffe3934, "pci_disable_msix" },
	{ 0x22887a9a, "alloc_pages_noprof" },
	{ 0x1a7d62b, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0xbfc71fef, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad8c2325, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x27c536be, "param_ops_int" },
	{ 0xcdad843b, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x530a6328, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x43e139cd, "pci_write_config_dword" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x2ba80d36, "device_remove_file" },
	{ 0x7a0800fc, "dma_map_sg_attrs" },
	{ 0xf8520d3d, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xeadc1584, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x42fe9060, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x918fea6, "devl_region_create" },
	{ 0x4380dd87, "devlink_unregister" },
	{ 0xe42d023d, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x79a847ed, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37c53160, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xedc46cfa, "devlink_region_snapshot_id_get" },
	{ 0x7a8bc671, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x5795659e, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbba3824f, "param_array_ops" },
	{ 0x3c26cc84, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x95d041ad, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xb12912ae, "pci_sriov_get_totalvfs" },
	{ 0xe0053b25, "devlink_register" },
	{ 0x81c7c52b, "devlink_port_type_clear" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
