#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x735c5ad0, "__mdiobus_read" },
	{ 0x17874085, "bcm_phy_read_exp" },
	{ 0x4fc693a6, "bcm_phy_write_exp" },
	{ 0xb4ae1dc8, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0xf5a5e29c, "genphy_read_abilities" },
	{ 0xab1650fa, "bcm_phy_get_sset_count" },
	{ 0xe1615540, "devm_gpiod_get" },
	{ 0xbc17cfa8, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x3c5be89c, "devm_request_threaded_irq" },
	{ 0xafa5c753, "device_set_wakeup_capable" },
	{ 0xc0bb7a71, "device_wakeup_enable" },
	{ 0x149e3c55, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x360685cc, "pm_wakeup_dev_event" },
	{ 0x32494f49, "genphy_resume" },
	{ 0xd1b79504, "genphy_soft_reset" },
	{ 0x46d9a08c, "bcm_phy_config_intr" },
	{ 0x9faf9416, "bcm_phy_handle_interrupt" },
	{ 0x4eb96077, "bcm_phy_get_strings" },
	{ 0x6096f60b, "bcm_phy_led_brightness_set" },
	{ 0xefb954cf, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda94510b, "phy_drivers_register" },
	{ 0x9eddcefe, "mdiobus_read" },
	{ 0x7842634b, "genphy_read_status" },
	{ 0x26301793, "phy_trigger_machine" },
	{ 0x3d408f9, "phy_error" },
	{ 0xeb329f09, "bcm54xx_auxctl_read" },
	{ 0x5d918f7, "bcm54xx_auxctl_write" },
	{ 0xe06314d1, "bcm_phy_read_shadow" },
	{ 0xf8c9b759, "bcm_phy_write_shadow" },
	{ 0xf2153c02, "bcm_config_lre_aneg" },
	{ 0xec6fe4a5, "__genphy_config_aneg" },
	{ 0x57d1af5f, "genphy_c37_config_aneg" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xd0f490b2, "bcm_phy_get_wol" },
	{ 0x7b48adfc, "bcm_phy_set_wol" },
	{ 0x8a6f611a, "bcm_phy_get_stats" },
	{ 0xe52253a5, "phy_drivers_unregister" },
	{ 0x574412e2, "phy_modify" },
	{ 0x20049acd, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x91e28c9e, "__mdiobus_write" },
	{ 0xdc0faee5, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
