#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb94c07f9, "usbnet_update_max_qlen" },
	{ 0xab3091f0, "usbnet_suspend" },
	{ 0xb83c209e, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc577cc0a, "netif_carrier_on" },
	{ 0xe609a677, "mii_nway_restart" },
	{ 0xf056b9d2, "eth_platform_get_mac_address" },
	{ 0xe271158f, "usbnet_resume" },
	{ 0xf22f72b7, "usbnet_get_endpoints" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xe126d042, "netif_set_tso_max_size" },
	{ 0xe1b8ed92, "usbnet_probe" },
	{ 0xe8d7fb04, "usbnet_open" },
	{ 0x153e026e, "usbnet_stop" },
	{ 0x22985ee2, "usbnet_start_xmit" },
	{ 0xe8f3e3aa, "eth_validate_addr" },
	{ 0x9e8fa064, "usbnet_tx_timeout" },
	{ 0xd55010f4, "dev_get_tstats64" },
	{ 0x13532afa, "usbnet_get_msglevel" },
	{ 0x95233ed0, "usbnet_set_msglevel" },
	{ 0xd79423d5, "usbnet_nway_reset" },
	{ 0x9751567, "ethtool_op_get_link" },
	{ 0x48ce303c, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe5bfb51e, "pskb_expand_head" },
	{ 0xdd04722, "skb_push" },
	{ 0x8bed0c58, "__pskb_pull_tail" },
	{ 0x26d4cf34, "dev_kfree_skb_any_reason" },
	{ 0x9f3472e2, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x322db24c, "usbnet_read_cmd" },
	{ 0xfbfd4d88, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5d18139, "mii_ethtool_set_link_ksettings" },
	{ 0xbc1d37ce, "mii_ethtool_get_link_ksettings" },
	{ 0x7b3a3633, "generic_mii_ioctl" },
	{ 0x1b013ba7, "usb_register_driver" },
	{ 0xd4d9c9b6, "usbnet_disconnect" },
	{ 0x5cc79725, "usb_deregister" },
	{ 0x6620c967, "usbnet_link_change" },
	{ 0x6e321026, "netdev_info" },
	{ 0xf40f011, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x9a061f68, "skb_trim" },
	{ 0x6db73f0d, "__netdev_alloc_skb" },
	{ 0xfb890d1, "skb_put" },
	{ 0x87e2f08b, "usbnet_skb_return" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0x6834f6cd, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1e3f3687, "usbnet_write_cmd" },
	{ 0xafc9057a, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9954bc4c, "__dynamic_netdev_dbg" },
	{ 0x7e6bd57e, "netdev_err" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "E4BEF6D15D44F81FF22E01D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
