#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xb2600a9e, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x0adca20c, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xc930194d, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xa6d0515b, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xa09421e5, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xb687309d, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x8366e449, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x4e79c5d8, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xf44eaf76, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x1fa38afc, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x3ee51797, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xe9c364a8, "_gpl");
SYMBOL_CRC(mt76s_init, 0x83f83f78, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xcb3714ae, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xa4c63a71, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x53eb619e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6de0fbcd, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5bfb51e, "pskb_expand_head" },
	{ 0xf3d78ea4, "mt76_tx_status_check" },
	{ 0x4467b862, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee8a3e29, "__alloc_pages_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89260cac, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3523f2f2, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3d6718f1, "sdio_readsb" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x76606ea9, "__SCK__tp_func_dev_irq" },
	{ 0xedb8d99e, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8efb7a6c, "__put_devmap_managed_folio_refs" },
	{ 0xf7ed7b31, "kthread_stop" },
	{ 0x41121e0f, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd6a7181, "mt76_queue_tx_complete" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0x101baf6c, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xad6cf855, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6f6a1e8e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x77ea4f90, "sdio_claim_irq" },
	{ 0x6846c92b, "mt76_skb_adjust_pad" },
	{ 0xca897bee, "sdio_enable_func" },
	{ 0xff9c8c52, "sdio_writesb" },
	{ 0xf44e74e0, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9602c1a8, "sdio_release_host" },
	{ 0x55cfe4b0, "sdio_disable_func" },
	{ 0xd1d274af, "sdio_set_block_size" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xfb890d1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a42e5d6, "sdio_claim_host" },
	{ 0x80afe71, "consume_skb" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "8F6D31492D77669C7908568");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
