#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe257e93, "mt7663_usb_sdio_tx_complete_skb" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc8a9c62, "mt7615_mac_sta_add" },
	{ 0xb47e6ff7, "kthread_park" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0x6de0fbcd, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80fc757a, "mt76_alloc_device" },
	{ 0xf3d78ea4, "mt76_tx_status_check" },
	{ 0x4467b862, "wake_up_process" },
	{ 0x7acb843, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89ce5582, "mt7663_usb_sdio_register_device" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2600a9e, "mt76s_read_pcr" },
	{ 0x9cf5eb50, "mt76_free_device" },
	{ 0x50441338, "mt76_connac_mcu_reg_rr" },
	{ 0x68e56522, "sdio_set_host_pm_flags" },
	{ 0xe144f494, "kthread_unpark" },
	{ 0x88a1ae5, "sdio_unregister_driver" },
	{ 0x83f83f78, "mt76s_init" },
	{ 0x3d6718f1, "sdio_readsb" },
	{ 0xfcd8b5b, "mt7615_mac_sta_remove" },
	{ 0x1975ef48, "devm_kmemdup" },
	{ 0xcc81d7e, "mt7615_init_work" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x4e79c5d8, "mt76s_rd_rp" },
	{ 0xb687309d, "mt76s_read_copy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xadca20c, "mt76s_rr" },
	{ 0xccfe9bf6, "mt76_connac_mcu_reg_wr" },
	{ 0x3ee51797, "mt76s_alloc_tx" },
	{ 0x35503cfd, "mt7615_ops" },
	{ 0x1fa38afc, "mt76s_alloc_rx_queue" },
	{ 0x41121e0f, "sdio_writel" },
	{ 0x331d5447, "__sdio_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd088d47, "mt7615_queue_rx_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0xe4c5e13f, "mt7615_mcu_fill_msg" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x54018748, "ieee80211_unregister_hw" },
	{ 0xa09421e5, "mt76s_write_copy" },
	{ 0x5e029a50, "____mt76_poll_msec" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdab8c7c9, "mt7615_mcu_restart" },
	{ 0x33116d74, "mt7663_usb_sdio_tx_prepare_skb" },
	{ 0xef5812b9, "mt7615_update_channel" },
	{ 0x2d25859f, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x6db180b0, "mt7615_rx_check" },
	{ 0xa6d0515b, "mt76s_rmw" },
	{ 0xe9c364a8, "mt76s_deinit" },
	{ 0xf44eaf76, "mt76s_hw_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9602c1a8, "sdio_release_host" },
	{ 0x4108c65d, "mt7663_usb_sdio_tx_status_data" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0x1506ffca, "mt7663_usb_sdio_reg_map" },
	{ 0x9c9c6614, "mt7615_mcu_parse_response" },
	{ 0x4a42e5d6, "sdio_claim_host" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc930194d, "mt76s_wr" },
	{ 0x67e30fef, "__mt7663_load_firmware" },
	{ 0x8366e449, "mt76s_wr_rp" },
	{ 0xcb3714ae, "mt76s_txrx_worker" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "mt7663-usb-sdio-common,mt7615-common,mt76,mt76-connac-lib,mt76-sdio,mmc_core,mac80211");

MODULE_ALIAS("sdio:c*v037Ad7603*");

MODULE_INFO(srcversion, "70C3C49430F3A4088FA7071");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
