#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28f89df8, "mt7925_mac_init" },
	{ 0x9edefaab, "mt792xu_rmw" },
	{ 0x1e392072, "mt7925_mac_sta_assoc" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfa68a434, "mt76u_resume_rx" },
	{ 0xb47e6ff7, "kthread_park" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x80fc757a, "mt76_alloc_device" },
	{ 0x4467b862, "wake_up_process" },
	{ 0x2cab05b9, "skb_queue_purge_reason" },
	{ 0xe9d131b5, "mt792xu_mcu_power_on" },
	{ 0x4199c55f, "mt7925_mac_sta_remove" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xebebcf83, "mt7925_ops" },
	{ 0x3114be0e, "__mt7925_start" },
	{ 0xa938cfe9, "usb_put_dev" },
	{ 0x4386236d, "usb_bulk_msg" },
	{ 0xef71229e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde3fbc33, "usb_get_dev" },
	{ 0x7583e5e4, "mt76u_alloc_mcu_queue" },
	{ 0x9cf5eb50, "mt76_free_device" },
	{ 0xe144f494, "kthread_unpark" },
	{ 0x83d61f88, "mt76u_queues_deinit" },
	{ 0xdd04722, "skb_push" },
	{ 0xacab494e, "mt792xu_wfsys_reset" },
	{ 0x8e382767, "mt7925_run_firmware" },
	{ 0x5cb760cc, "mt792xu_disconnect" },
	{ 0x7645e22c, "mt7925_mac_sta_add" },
	{ 0x1fe8ef76, "mt792xu_wr" },
	{ 0x5cc79725, "usb_deregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfae2e62e, "mt7925_mcu_set_eeprom" },
	{ 0x6af6c9c1, "mt76u_read_copy" },
	{ 0x70cd1026, "mt7925_usb_sdio_tx_prepare_skb" },
	{ 0xd07c9cd8, "mt7925_register_device" },
	{ 0x1feef4, "mt76_txq_schedule_all" },
	{ 0x8cbdc8da, "mt76u_alloc_queues" },
	{ 0x22b5eda, "mt7925_usb_sdio_tx_status_data" },
	{ 0x805aec8c, "mt76u_stop_tx" },
	{ 0x3fe1b686, "mt792xu_init_reset" },
	{ 0x2303735e, "mt792xu_dma_init" },
	{ 0xaeb7774e, "mt792x_update_channel" },
	{ 0x31aa1250, "mt792x_get_mac80211_ops" },
	{ 0x6e126a35, "mt7925_mcu_parse_response" },
	{ 0xce288f33, "mt7925_mcu_fill_message" },
	{ 0x9636af36, "mt76u_stop_rx" },
	{ 0x2d25859f, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x34c39890, "mt792x_reset" },
	{ 0x6a6e3f8e, "mt792xu_rr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8a87b183, "mt7925_rx_check" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdc170526, "mt7925_queue_rx_skb" },
	{ 0xa60a1817, "__mt76u_init" },
	{ 0x80afe71, "consume_skb" },
	{ 0x94e3186a, "mt792xu_copy" },
	{ 0x39cdcc36, "mt792xu_stop" },
	{ 0x1b013ba7, "usb_register_driver" },
	{ 0x956a6758, "mt7925_usb_sdio_tx_complete_skb" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "mt7925-common,mt792x-usb,mt76-usb,mt76,usbcore,mt792x-lib,mt76-connac-lib");

MODULE_ALIAS("usb:v0E8Dp7925d*dc*dsc*dp*icFFiscFFipFFin*");

MODULE_INFO(srcversion, "9223A9783A456CB8127F485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
