#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0xc1dd223d, "");
SYMBOL_CRC(ndlc_close, 0xd7e5a038, "");
SYMBOL_CRC(ndlc_send, 0xeb7354b9, "");
SYMBOL_CRC(ndlc_recv, 0xe122bf9e, "");
SYMBOL_CRC(ndlc_probe, 0x91cca5f6, "");
SYMBOL_CRC(ndlc_remove, 0x8831b0e5, "");
SYMBOL_CRC(st_nci_probe, 0x4333cf32, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x6e47173f, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x89fe2e4a, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xdaf3d30a, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x2a81c617, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xb7f50cb2, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xb51924fb, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xb0e90684, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x71ac03be, "");
SYMBOL_CRC(st_nci_se_init, 0xbc3dc57b, "");
SYMBOL_CRC(st_nci_se_deinit, 0x6b3bf292, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x1ae86d7c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfafd3c3c, "nfc_se_transaction" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0x7cacff86, "nci_hci_connect_gate" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd04722, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4fcbeab2, "nci_prop_cmd" },
	{ 0x7160bcf2, "nci_core_conn_create" },
	{ 0x7b117bd7, "nci_nfcc_loopback" },
	{ 0x75772746, "nci_unregister_device" },
	{ 0x8299ce15, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbed2b238, "nci_hci_send_event" },
	{ 0xb18babf1, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x311ec26e, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x495a18d0, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x4524ec1a, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x24aca485, "nci_recv_frame" },
	{ 0x4594e8a, "nci_hci_dev_session_init" },
	{ 0xc54c5a2f, "nci_hci_set_param" },
	{ 0x6f1b42cf, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x164b8aee, "skb_queue_head" },
	{ 0x5b431e53, "nci_free_device" },
	{ 0xa6c9f560, "nci_allocate_device" },
	{ 0x494fc5b9, "nci_register_device" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xafe28c7a, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdbdc0718, "nfc_add_se" },
	{ 0x6ed291c9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x87ff0a5c, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cab05b9, "skb_queue_purge_reason" },
	{ 0x93c9c09c, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb10e8f2, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7be8604c, "skb_queue_tail" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
