#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe215e4, "sg_next" },
	{ 0x15496ec8, "blk_queue_rq_timeout" },
	{ 0xcdad843b, "_dev_printk" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0x79a847ed, "pci_enable_device" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xaacce822, "scsi_host_alloc" },
	{ 0x3c26cc84, "pci_request_regions" },
	{ 0xc005a2f8, "pci_ioremap_bar" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0x5719963e, "dma_set_coherent_mask" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0xf0b833f1, "pci_release_regions" },
	{ 0x57351ef5, "scsi_host_put" },
	{ 0x1a7d62b, "pci_disable_device" },
	{ 0x218ea7b4, "pci_enable_msi" },
	{ 0xc1566c52, "scsi_add_host_with_dma" },
	{ 0xe9dd9ab3, "scsi_scan_host" },
	{ 0x562709eb, "pci_disable_msi" },
	{ 0x244bfd2c, "scsi_remove_host" },
	{ 0x185d3e57, "scsi_block_requests" },
	{ 0x8446f010, "scsi_build_sense" },
	{ 0xf52a49ec, "scmd_printk" },
	{ 0x27c536be, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb578fc5, "memset" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9a482f9, "msleep" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfda30310, "scsi_dma_unmap" },
	{ 0x872b0d89, "scsi_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x21d1eea7, "pci_read_config_dword" },
	{ 0x5acd8aec, "pci_read_config_byte" },
	{ 0xe39c4ca0, "pci_write_config_byte" },
	{ 0x1a7bebfb, "pci_read_config_word" },
	{ 0x43e139cd, "pci_write_config_dword" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x510bafef, "scsi_dma_map" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");

MODULE_ALIAS("pci:v0000105Ad00008350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad0000C350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad0000E350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00007250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008650sv0000105Asd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008650sv00001033sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008870sv0000105Asd00008870bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008870sv0000105Asd00004300bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004311bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004312bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004321bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00008871sv0000105Asd00004322bc*sc*i*");

MODULE_INFO(srcversion, "0E63062F5C7523697BF0A48");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
