#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf1be5e1, "__free_iova" },
	{ 0x520c5a1b, "media_create_pad_link" },
	{ 0xc744f19b, "v4l2_subdev_link_validate_default" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd2b18d5, "video_devdata" },
	{ 0xd08ef496, "vb2_fop_release" },
	{ 0xd27eeb4b, "alloc_iova" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe64df57e, "__free_pages" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9291a8b3, "__v4l2_subdev_state_get_compose" },
	{ 0xec861632, "vb2_plane_cookie" },
	{ 0x12529b76, "media_device_cleanup" },
	{ 0x8656fe23, "v4l2_device_unregister_subdev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5acd7894, "pcim_iomap_regions" },
	{ 0x1d8e45f7, "v4l2_subdev_link_validate" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92348aed, "__v4l2_subdev_state_get_format" },
	{ 0x7dff78b9, "__v4l2_ctrl_grab" },
	{ 0x16679840, "vb2_ioctl_dqbuf" },
	{ 0x218ea7b4, "pci_enable_msi" },
	{ 0x311c6da4, "put_iova_domain" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xc245a0aa, "vb2_ioctl_create_bufs" },
	{ 0xce9c9ff1, "v4l2_ctrl_new_custom" },
	{ 0xde319273, "vb2_ioctl_prepare_buf" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a7bebfb, "pci_read_config_word" },
	{ 0xde3cd001, "vb2_buffer_done" },
	{ 0x389cd995, "vb2_plane_vaddr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9fa3d866, "vmap" },
	{ 0x3765e7f2, "pm_runtime_get_if_in_use" },
	{ 0x847f16f2, "media_entity_pads_init" },
	{ 0x4bc6d8d7, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaff44b2, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0x44f941d7, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb46578e2, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x986a8467, "__v4l2_device_register_subdev" },
	{ 0x36f9eb37, "v4l2_device_register" },
	{ 0x60a80885, "video_device_pipeline_start" },
	{ 0x5719963e, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb563d972, "_dev_notice" },
	{ 0x7309df45, "pm_runtime_forbid" },
	{ 0x1fd5f634, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x22644716, "__pm_runtime_resume" },
	{ 0x4043757f, "init_iova_domain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x257640d, "__video_register_device" },
	{ 0xc2b60613, "vb2_ops_wait_prepare" },
	{ 0x15853c9a, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xf8dfd310, "vb2_ioctl_streamon" },
	{ 0x7604cbad, "__v4l2_device_register_subdev_nodes" },
	{ 0x2ebc9adf, "vb2_fop_poll" },
	{ 0x7400e945, "v4l2_ctrl_handler_free" },
	{ 0x22887a9a, "alloc_pages_noprof" },
	{ 0x64ec36a2, "v4l2_device_unregister" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0xff5bfba6, "v4l2_subdev_call_wrappers" },
	{ 0xda29e996, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5f9aae54, "pcim_enable_device" },
	{ 0x23270ac0, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe0cbaf02, "video_device_release_empty" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x33895048, "pm_runtime_force_suspend" },
	{ 0x79f1aa44, "find_iova" },
	{ 0x9d903cf2, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xaaf73a01, "vb2_ioctl_reqbufs" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xb49e42ec, "vb2_queue_init" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0x3b3b5ebd, "vb2_dma_sg_memops" },
	{ 0xffb1fcab, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x906c8f17, "media_device_unregister" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x3c5be89c, "devm_request_threaded_irq" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0x7ad3659d, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6abd5997, "video_device_pipeline_stop" },
	{ 0x1e8bd13c, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc48b412a, "media_device_pci_init" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x3121d92e, "vb2_ops_wait_finish" },
	{ 0x2ed15e61, "request_firmware" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0x4e712058, "v4l2_ctrl_handler_init_class" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe378daf, "__media_device_register" },
	{ 0x795026c5, "vb2_ioctl_querybuf" },
	{ 0x318bd4ee, "v4l2_subdev_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xae015586, "__v4l2_subdev_state_get_crop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbc2f5273, "v4l2_fh_open" },
	{ 0x353db86f, "v4l2_event_subdev_unsubscribe" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "mc,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v00008086d00001919sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A63B32898E8B694BB715032");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
