#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u_audio_set_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_capture_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_playback_srate, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_capture, "_gpl", "");
KSYMTAB_FUNC(u_audio_start_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_stop_playback, "_gpl", "");
KSYMTAB_FUNC(u_audio_suspend, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_volume, "_gpl", "");
KSYMTAB_FUNC(u_audio_get_mute, "_gpl", "");
KSYMTAB_FUNC(u_audio_set_mute, "_gpl", "");
KSYMTAB_FUNC(g_audio_setup, "_gpl", "");
KSYMTAB_FUNC(g_audio_cleanup, "_gpl", "");

SYMBOL_CRC(u_audio_set_capture_srate, 0xda46d9d4, "_gpl");
SYMBOL_CRC(u_audio_get_capture_srate, 0xbe0bb2d5, "_gpl");
SYMBOL_CRC(u_audio_set_playback_srate, 0x32e59a1b, "_gpl");
SYMBOL_CRC(u_audio_get_playback_srate, 0xfd8aecea, "_gpl");
SYMBOL_CRC(u_audio_start_capture, 0xebf54a1e, "_gpl");
SYMBOL_CRC(u_audio_stop_capture, 0x3db729e7, "_gpl");
SYMBOL_CRC(u_audio_start_playback, 0xa5303a29, "_gpl");
SYMBOL_CRC(u_audio_stop_playback, 0x618732f2, "_gpl");
SYMBOL_CRC(u_audio_suspend, 0xa3192562, "_gpl");
SYMBOL_CRC(u_audio_get_volume, 0xa6a95c17, "_gpl");
SYMBOL_CRC(u_audio_set_volume, 0x390306fc, "_gpl");
SYMBOL_CRC(u_audio_get_mute, 0x0fb8ab70, "_gpl");
SYMBOL_CRC(u_audio_set_mute, 0xd4f2790c, "_gpl");
SYMBOL_CRC(g_audio_setup, 0x38e440f1, "_gpl");
SYMBOL_CRC(g_audio_cleanup, 0x93573fbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x882357f8, "snd_pcm_stream_lock" },
	{ 0x12d45fc4, "snd_pcm_stream_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2edc9296, "snd_pcm_period_elapsed" },
	{ 0x612d80bd, "snd_ctl_notify" },
	{ 0x1e67a7d3, "config_ep_by_speed" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x31a826f8, "snd_pcm_hw_constraint_integer" },
	{ 0x479f5684, "snd_card_free_when_closed" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x5b839a43, "snd_card_new" },
	{ 0x9e2fdfe0, "snd_pcm_new" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6c6b9c19, "snd_pcm_set_ops" },
	{ 0xd05188cc, "snd_ctl_new1" },
	{ 0xaf2022f4, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb82d211e, "snd_pcm_set_managed_buffer_all" },
	{ 0xf3c80b7b, "snd_card_register" },
	{ 0xc841a469, "snd_card_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,libcomposite");


MODULE_INFO(srcversion, "ADE4E24B13E0AE5097390A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
