#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf904ecc, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7b9abc9f, "__fscrypt_prepare_rename" },
	{ 0xb4df545e, "dquot_resume" },
	{ 0xdb879cac, "bpf_trace_run5" },
	{ 0xc4f12688, "bdev_fput" },
	{ 0x4be6e6d, "setattr_copy" },
	{ 0xcd232d44, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8a5ddab8, "jbd2_fc_begin_commit" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xcf56885d, "write_cache_pages" },
	{ 0x331a7eee, "file_update_time" },
	{ 0x4df3e00b, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd62fff3, "fscrypt_ioctl_set_policy" },
	{ 0x3d04495a, "set_nlink" },
	{ 0x9abec38d, "kmem_cache_alloc_lru_noprof" },
	{ 0x1c84d2aa, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x3df01f7d, "security_inode_init_security" },
	{ 0x3491cf5a, "seq_putc" },
	{ 0xec5531b9, "fscrypt_decrypt_bio" },
	{ 0xccc99a4c, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0xe352446e, "from_kgid" },
	{ 0xf481e453, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x36e925c, "trace_event_reg" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0xf6bf4248, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x34a5d6d, "generic_ci_match" },
	{ 0x33208d57, "__fscrypt_encrypt_symlink" },
	{ 0xbb34c689, "folio_wait_writeback" },
	{ 0xfa67b980, "jbd2_journal_start_commit" },
	{ 0xb094118, "bdev_freeze" },
	{ 0xcf593d04, "blkdev_issue_zeroout" },
	{ 0xe13bef1e, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0xff1320cc, "kobject_init_and_add" },
	{ 0xc51adaa1, "crypto_shash_update" },
	{ 0x2cd87b05, "from_vfsgid" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x87581f39, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0xb6fea549, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x45bb35be, "dax_writeback_mapping_range" },
	{ 0x16d10036, "jbd2_trans_will_send_data_barrier" },
	{ 0xa12a602b, "folio_wait_stable" },
	{ 0x432bb922, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x56f5b9f6, "d_obtain_alias" },
	{ 0x35990207, "file_modified" },
	{ 0x5bc8efe7, "posix_acl_chmod" },
	{ 0xf7ed7b31, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb5979c43, "__bread_gfp" },
	{ 0xe1f1931b, "from_kprojid" },
	{ 0xba752438, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9f86025c, "fscrypt_put_encryption_info" },
	{ 0x45091d45, "freezing_slow_path" },
	{ 0x486eaa22, "folio_end_read" },
	{ 0xd8983cff, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x94a4eb0, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x892492c4, "dax_layout_busy_page" },
	{ 0xc16f223a, "iomap_bmap" },
	{ 0xa3988208, "__folio_start_writeback" },
	{ 0x4fd99b34, "bpf_trace_run1" },
	{ 0xffdb18b2, "set_task_ioprio" },
	{ 0xff87ace9, "folio_end_writeback" },
	{ 0x8c365ed1, "fscrypt_d_revalidate" },
	{ 0xb2132618, "jbd2_journal_dirty_metadata" },
	{ 0xe15d4a7f, "proc_mkdir" },
	{ 0x6031875b, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5ddd96a9, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xab4fca93, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa5665d78, "jbd2_transaction_committed" },
	{ 0xe4b8343c, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x82207b6a, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x546fa303, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd39ff542, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2871202, "filemap_get_folios" },
	{ 0x870c74ea, "make_kgid" },
	{ 0xa3f8c459, "invalidate_bdev" },
	{ 0xf7e69c4a, "fscrypt_zeroout_range" },
	{ 0x95dd8200, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0xc2195094, "fscrypt_drop_inode" },
	{ 0xc05d2215, "wbc_account_cgroup_owner" },
	{ 0xc0ce9497, "from_kgid_munged" },
	{ 0x55f2c988, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xc01f9063, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9a66720, "dax_finish_sync_fault" },
	{ 0x3077334c, "dquot_get_dqblk" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1d4e75ee, "block_read_full_folio" },
	{ 0x69404e4b, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xb4934de5, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xa9a4cd3b, "fscrypt_free_bounce_page" },
	{ 0xed31155e, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa05305c2, "__dquot_alloc_space" },
	{ 0x201ce1d2, "fsverity_verify_bio" },
	{ 0x842072, "generic_encode_ino32_fh" },
	{ 0x935ebc1f, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x28f432db, "__fscrypt_inode_uses_inline_crypto" },
	{ 0x1b69876e, "__fscrypt_prepare_readdir" },
	{ 0xaf306338, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0xbb8cfd54, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x484b7812, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe73e4743, "kobject_del" },
	{ 0xcdbebf97, "d_instantiate_new" },
	{ 0x6503c895, "trace_event_buffer_reserve" },
	{ 0x9a5118db, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4232f6d1, "fs_param_is_blockdev" },
	{ 0x44ab5eb, "jbd2_fc_wait_bufs" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x2899fe96, "generic_buffers_fsync_noflush" },
	{ 0x10475a3c, "init_user_ns" },
	{ 0x9d8d4063, "file_path" },
	{ 0xc5e9f14d, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x2c1a1ba2, "fscrypt_fname_disk_to_usr" },
	{ 0xde81664e, "inode_set_ctime_current" },
	{ 0xf61113fc, "inc_nlink" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0xd48045a, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x6f6a1e8e, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xd07323fb, "remove_proc_entry" },
	{ 0x8a556a24, "get_tree_bdev" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x425a1098, "fscrypt_ioctl_get_policy" },
	{ 0x6c4e5c48, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7488afa, "seq_printf" },
	{ 0x79722957, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xef9d34e2, "find_inode_by_ino_rcu" },
	{ 0xef509e6e, "touch_atime" },
	{ 0xc87315c9, "__percpu_down_read" },
	{ 0x5aa28567, "jbd2_journal_force_commit" },
	{ 0x50c2faba, "__lock_buffer" },
	{ 0x1e89ab6c, "tag_pages_for_writeback" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0x23d0c6c7, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa47f3b18, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x646cc74a, "__folio_lock" },
	{ 0x13b7847f, "dquot_quota_on_mount" },
	{ 0x1009e190, "filemap_dirty_folio" },
	{ 0x350207d2, "fs_holder_ops" },
	{ 0xd0b2a39f, "blkdev_issue_flush" },
	{ 0xce02c352, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xd91bd484, "fscrypt_set_bio_crypt_ctx" },
	{ 0x64b33021, "rcuwait_wake_up" },
	{ 0xed6cf1b5, "dquot_mark_dquot_dirty" },
	{ 0x7e9a9df7, "fscrypt_prepare_symlink" },
	{ 0xdfbd7815, "block_is_partially_uptodate" },
	{ 0xa1a76bd5, "dquot_get_next_id" },
	{ 0xecfdbe3, "file_bdev" },
	{  0x3b6b5, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe2126c3c, "generic_fh_to_parent" },
	{ 0xc0308f79, "__fs_parse" },
	{ 0x4aeb991c, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x83bcbdbb, "end_buffer_write_sync" },
	{ 0x12cca74a, "dget_parent" },
	{ 0x9714c115, "__seq_puts" },
	{ 0xc4055b, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x520dea68, "proc_create_single_data" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x4c71f7ad, "inode_io_list_del" },
	{ 0x6d5209f9, "jbd2_journal_lock_updates" },
	{ 0x82e245c1, "filemap_write_and_wait_range" },
	{ 0xa44dbcfa, "jbd2_journal_free_reserved" },
	{ 0x3394753a, "dquot_acquire" },
	{ 0x7536eacd, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc9e705f0, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc7eb3610, "jbd2_journal_errno" },
	{ 0xeb35a8a4, "fscrypt_prepare_new_inode" },
	{ 0x5efbb0d1, "fsverity_ioctl_measure" },
	{ 0xab4c8f23, "fscrypt_limit_io_blocks" },
	{ 0x976839a3, "generic_write_checks" },
	{ 0x4963e5c7, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x210dcde7, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa0e6a670, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x87de20e, "fscrypt_get_symlink" },
	{ 0x3819fe1b, "dqput" },
	{ 0xf82f5b77, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0x1779dceb, "filemap_fault" },
	{ 0xb9965aae, "crypto_alloc_shash" },
	{ 0x238dd12, "dquot_writeback_dquots" },
	{ 0xa675d7a1, "d_invalidate" },
	{ 0xc4f4bf21, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe8a32584, "dquot_get_next_dqblk" },
	{ 0x96a85d45, "make_bad_inode" },
	{ 0xf37883db, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x93f65ded, "jbd2_wait_inode_data" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x74219a41, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x3e6fa49f, "dquot_load_quota_inode" },
	{ 0xa294df08, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa5918f2, "sb_min_blocksize" },
	{ 0x25171ffe, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x246203fa, "iomap_seek_data" },
	{ 0x3b2c5405, "jbd2_journal_flush" },
	{ 0xe8d43e6, "fscrypt_free_inode" },
	{ 0x4dc0fa40, "jbd2_fc_end_commit_fallback" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x9f799677, "fscrypt_has_permitted_context" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xc19e8a15, "dquot_destroy" },
	{ 0x214f7c36, "iget_failed" },
	{ 0x73d5f54e, "fs_param_is_uid" },
	{ 0xe712f78e, "fscrypt_symlink_getattr" },
	{ 0x6c70d25b, "dquot_alloc" },
	{ 0x21c9ac81, "fs_bio_set" },
	{ 0x37fc7c41, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc8cbe8c5, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdf55d38f, "blkdev_issue_discard" },
	{ 0x1ac06a4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x6b198790, "dquot_commit" },
	{ 0xa15c53d0, "truncate_inode_pages" },
	{ 0xfcffc703, "percpu_free_rwsem" },
	{ 0xe90e0705, "bh_uptodate_or_lock" },
	{ 0x6d4df5a7, "inode_init_owner" },
	{ 0xc1705330, "generic_fillattr" },
	{ 0x96c00750, "setattr_prepare" },
	{ 0xc0019b4e, "vfs_fsync_range" },
	{ 0x44437295, "iget_locked" },
	{ 0x7a0ecb59, "shrinker_alloc" },
	{ 0xe6c0d452, "generic_set_sb_d_ops" },
	{ 0x2bd9b078, "fscrypt_dio_supported" },
	{ 0x9e66c3de, "clear_nlink" },
	{ 0xdc2f1703, "jbd2_complete_transaction" },
	{ 0x73decfbd, "file_check_and_advance_wb_err" },
	{ 0x6da673f5, "filemap_flush" },
	{ 0x29a21a82, "filemap_get_folios_tag" },
	{ 0x4abd4187, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x13f94536, "d_instantiate" },
	{ 0x39281e9c, "fsverity_ioctl_enable" },
	{ 0x53eaec98, "pagecache_isize_extended" },
	{ 0x66de4ca6, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc41ba08a, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0xdf057773, "clear_inode" },
	{ 0x67fafe71, "bpf_trace_run4" },
	{ 0x1b8b8fcc, "iocb_bio_iopoll" },
	{ 0xd0e1130c, "dquot_set_dqinfo" },
	{ 0x50f525ec, "dquot_commit_info" },
	{ 0xaa21da40, "jbd2_journal_invalidate_folio" },
	{ 0xf26eddda, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x42741405, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x6bdb7adb, "jbd2_submit_inode_data" },
	{ 0x8d263170, "dquot_disable" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x25dea66c, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x8080d234, "dquot_release" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9c882060, "fs_param_is_string" },
	{ 0x51217650, "__folio_batch_release" },
	{ 0x254488ec, "dquot_free_inode" },
	{ 0x20bec08f, "folio_unlock" },
	{ 0x653aa04a, "set_blocksize" },
	{ 0xbdb51e35, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x1244de64, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa05be892, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdf22055f, "filemap_map_pages" },
	{ 0x72606632, "jbd2_journal_forget" },
	{ 0xbadd582b, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x41da7e1e, "try_to_writeback_inodes_sb" },
	{ 0x8c16959a, "jbd2_journal_stop" },
	{ 0x48051dee, "trace_raw_output_prep" },
	{ 0xa8fce3d3, "dquot_get_state" },
	{ 0xba32f98c, "init_special_inode" },
	{ 0xdf4c78b7, "fscrypt_fname_siphash" },
	{ 0xeec6c542, "fs_dax_get_by_bdev" },
	{ 0xe9094dd6, "unregister_filesystem" },
	{ 0x48fe0a00, "__fscrypt_prepare_setattr" },
	{ 0x565b2082, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x461e4772, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x79c29f01, "__fscrypt_prepare_lookup" },
	{ 0xd7557d39, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x47cfe0cb, "generic_error_remove_folio" },
	{ 0xd8e14282, "__find_get_block" },
	{ 0x9c9f99fb, "__trace_trigger_soft_disabled" },
	{ 0x17f7ce00, "__block_write_begin" },
	{ 0x33785c20, "jbd2_journal_set_triggers" },
	{ 0x37431a1e, "inode_needs_sync" },
	{ 0xbdfa0de5, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e915fd8, "inode_query_iversion" },
	{ 0x26e1c1f9, "fscrypt_ioctl_get_key_status" },
	{ 0xe802cc30, "nop_posix_acl_access" },
	{ 0xe93fa971, "jbd2_journal_load" },
	{ 0xade6d2c9, "nop_posix_acl_default" },
	{ 0xe355c29f, "d_make_root" },
	{ 0x3f65edfa, "page_cache_ra_unbounded" },
	{ 0x312f1214, "jbd2_journal_check_available_features" },
	{ 0x9932d068, "trace_event_printf" },
	{ 0xf36a4b56, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4ea9449b, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9b2c7038, "jbd2_journal_set_features" },
	{ 0x74aabcf0, "sb_set_blocksize" },
	{ 0x154cc8b7, "read_cache_folio" },
	{ 0x36d91628, "invalidate_mapping_pages" },
	{ 0x2063b2a1, "sync_filesystem" },
	{ 0x5de0082d, "noop_dirty_folio" },
	{ 0xc3fb1ad9, "end_buffer_read_sync" },
	{ 0xf38870e6, "block_page_mkwrite" },
	{ 0x7863320, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x5491a0f2, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xea12e709, "d_splice_alias" },
	{ 0xf3aecc5, "jbd2__journal_start" },
	{ 0x74510681, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0xcd2c3027, "trace_event_raw_init" },
	{ 0x1317aea7, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xacc438c6, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0xffb69635, "from_vfsuid" },
	{ 0x607d370b, "ihold" },
	{ 0xca5d9f8f, "fs_lookup_param" },
	{ 0x347e1c90, "fsverity_verify_blocks" },
	{ 0x55a3681a, "d_find_any_alias" },
	{ 0xb039844d, "inode_dio_wait" },
	{ 0x5867053f, "jbd2_journal_get_create_access" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa3d7d4e2, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc62707eb, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x621146ba, "finish_open" },
	{ 0x535ad09c, "dax_iomap_rw" },
	{ 0x39681a30, "jbd2_journal_init_dev" },
	{ 0xab363dfa, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0xdd7f2113, "fs_param_is_enum" },
	{ 0xdb74fb26, "fs_param_is_s32" },
	{ 0x1e2f1acd, "jbd2_journal_clear_features" },
	{ 0x743ec2eb, "fscrypt_show_test_dummy_encryption" },
	{ 0xd7702bbf, "iter_file_splice_write" },
	{ 0x2dc04e9a, "jbd2_journal_inode_ranged_wait" },
	{ 0x375c796d, "filemap_release_folio" },
	{ 0xe87e2bee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0xa6763d6f, "remove_proc_subtree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x670ca320, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8c20d9a5, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x548435fc, "register_filesystem" },
	{ 0x568e1f88, "dquot_transfer" },
	{ 0x26682f7f, "d_tmpfile" },
	{ 0x6873b248, "kmem_cache_create" },
	{ 0x72f01638, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf868008e, "bdev_thaw" },
	{ 0xe74fac33, "jbd2_fc_release_bufs" },
	{ 0xa643125, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5c89f2e, "fscrypt_ioctl_get_policy_ex" },
	{ 0xc68cebdb, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xcecd1024, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x8b2743a6, "submit_bh" },
	{ 0xfa0202a6, "vfs_setpos" },
	{ 0x977c1bb2, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x575b57a3, "fscrypt_decrypt_pagecache_blocks" },
	{ 0x860fd8f1, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0x4467b862, "wake_up_process" },
	{ 0xd7755949, "shrinker_free" },
	{ 0x18f7fa8, "trace_event_buffer_commit" },
	{ 0x6ac8ca45, "fscrypt_setup_filename" },
	{ 0x910b911d, "crypto_destroy_tfm" },
	{ 0x93209774, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xdb733323, "sysfs_notify" },
	{ 0xa42f68fe, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x978933f6, "iomap_dio_rw" },
	{ 0xf7b2b7ee, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xfe1fa4fa, "fs_param_is_u32" },
	{ 0x2cab8a5b, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x437afee1, "lock_two_nondirectories" },
	{ 0x2450cab3, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xba2fd3e5, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xfb3fc1c0, "mnt_want_write_file" },
	{ 0x68b916e6, "unlock_new_inode" },
	{ 0xf8ac39fd, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xe6e66f9d, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x3c3a0a8e, "buffer_migrate_folio_norefs" },
	{ 0xa530d9a6, "dquot_quota_sync" },
	{ 0x3b38298, "make_kprojid" },
	{ 0x29774129, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x8ccef0e5, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd9cc7c12, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf4cb34d4, "fscrypt_set_context" },
	{ 0x3ac66efd, "try_to_free_buffers" },
	{ 0x286ef2c8, "make_kuid" },
	{ 0x6ee69ed0, "create_empty_buffers" },
	{ 0xcf88f40d, "truncate_inode_pages_final" },
	{ 0x27c7bdbb, "block_write_end" },
	{ 0x2c2ad81d, "d_alloc" },
	{ 0x368a39bf, "sync_blockdev" },
	{ 0x541d9933, "fs_kobj" },
	{ 0x69f21fa7, "bio_add_folio" },
	{ 0xf9bd027d, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xa5f1c346, "sync_mapping_buffers" },
	{ 0x50e22262, "fscrypt_file_open" },
	{ 0x49622753, "generic_perform_write" },
	{ 0x8f7d4a49, "dquot_initialize" },
	{ 0xebf1338b, "shrinker_register" },
	{ 0xd94b753d, "__filemap_get_folio" },
	{ 0xd3def455, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5c7bbbc1, "dquot_quota_on" },
	{ 0xaa2a8970, "const_pcpu_hot" },
	{ 0xf4a51346, "dquot_initialize_needed" },
	{ 0x7e42edba, "dquot_reclaim_space_nodirty" },
	{ 0xd4ac73a4, "__fsverity_prepare_setattr" },
	{ 0x282a2fef, "get_inode_acl" },
	{ 0x34b3c5e9, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x8b7539f5, "fscrypt_mergeable_bio_bh" },
	{ 0x414163ac, "invalidate_inode_buffers" },
	{ 0x1103fd39, "block_commit_write" },
	{ 0x4fced33e, "blk_finish_plug" },
	{ 0x4c7435a3, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8abf2913, "submit_bio" },
	{ 0x4b2f610b, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x538589cb, "jbd2_journal_force_commit_nested" },
	{ 0x89c56a5a, "fs_param_is_gid" },
	{ 0x83ffaf02, "inode_init_once" },
	{ 0x9d022bb5, "file_write_and_wait_range" },
	{ 0x5a5f770c, "jbd2_journal_update_sb_errno" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x6002d14b, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x662d71e4, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc2bc3c80, "__task_pid_nr_ns" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xe3d151ed, "dquot_set_dqblk" },
	{ 0x434f32cb, "bio_put" },
	{ 0xcb0c62f, "jbd2_journal_start_reserved" },
	{ 0x602dceeb, "percpu_up_write" },
	{ 0x6a68c832, "jbd2_journal_clear_err" },
	{ 0x9c66f945, "__brelse" },
	{ 0xb714b293, "posix_acl_create" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x17ead895, "perf_trace_run_bpf_submit" },
	{ 0xe32f9e4f, "jbd2_journal_init_inode" },
	{ 0x5906c5e1, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6be65757, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x3c241cf8, "jbd2_journal_abort" },
	{ 0x474d55e1, "generic_file_read_iter" },
	{ 0xa53c4d01, "jbd2_journal_blocks_per_page" },
	{ 0x93b60d87, "inode_maybe_inc_iversion" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xacacfd1e, "thp_get_unmapped_area" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd2e2673, "set_cached_acl" },
	{ 0xda30ec67, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x9dce954, "truncate_pagecache" },
	{ 0x916a6b0b, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1177016, "init_uts_ns" },
	{ 0x8acd3cdc, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "jbd2,mbcache");


MODULE_INFO(srcversion, "9554E22D5673008231E73E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
