#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfsd4_ssc_init_umount_work, "_gpl", "");

SYMBOL_CRC(nfsd4_ssc_init_umount_work, 0x8201feb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xed5b339d, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x98c91029, "vfs_lock_file" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xefa09364, "cache_check" },
	{ 0x9cdcaf7d, "vfs_iter_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd6173b5d, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x505311ab, "__list_lru_init" },
	{ 0xd39ff542, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x5fd4829c, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe9da96a9, "svc_generic_init_request" },
	{ 0xccd7f16a, "svc_xprt_names" },
	{ 0x5094c18e, "rpc_get_sb_net" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x870c74ea, "make_kgid" },
	{ 0xd1295557, "xattr_supports_user_prefix" },
	{ 0x66a59a22, "splice_direct_to_actor" },
	{ 0x202c88f8, "svc_xprt_create_from_sa" },
	{ 0x8044f692, "gss_pseudoflavor_to_service" },
	{ 0xb08a84d, "fsnotify_put_group" },
	{ 0x95ab1f6c, "dentry_create" },
	{ 0x39237265, "nfs_stream_decode_acl" },
	{ 0xc0ce9497, "from_kgid_munged" },
	{ 0x1c8097e2, "unlock_rename" },
	{ 0xede1560e, "vfs_rmdir" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66ec0883, "svc_set_client" },
	{ 0xc362de6a, "nfs_ssc_client_tbl" },
	{ 0xa85bfc13, "rpc_wake_up_next" },
	{ 0x436938bb, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0xeb991fc4, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa42ff676, "__vfs_removexattr_locked" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0xcd6e9873, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xb4934de5, "bpf_trace_run3" },
	{ 0x694b0c33, "override_creds" },
	{ 0xbccfb992, "seq_read" },
	{ 0x9569b610, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x900f90a6, "rpc_mkpipe_dentry" },
	{ 0x35e619b4, "path_get" },
	{ 0xaa232064, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4229c613, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xd6dc268c, "sunrpc_set_pool_mode" },
	{ 0x6503c895, "trace_event_buffer_reserve" },
	{ 0xe2eb0bbf, "d_add" },
	{ 0x5bdcad33, "svc_seq_show" },
	{ 0x8bd44c55, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x46418e14, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x661dec3d, "vfs_mknod" },
	{ 0xc51eb134, "get_fs_type" },
	{ 0x1db36723, "cache_register_net" },
	{ 0x81fb68b8, "fsnotify_find_mark" },
	{ 0x725d723d, "lookup_positive_unlocked" },
	{ 0x10475a3c, "init_user_ns" },
	{ 0xdde4e51e, "rpc_uaddr2sockaddr" },
	{ 0x52d8f8c7, "nlmsvc_ops" },
	{ 0x3b239bc5, "rpc_restart_call" },
	{ 0xec240875, "dentry_open" },
	{ 0xc92bb330, "filp_close" },
	{ 0xd2b24ee1, "svc_xprt_destroy_all" },
	{ 0xf61113fc, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd48045a, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xd07323fb, "remove_proc_entry" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x606f5cef, "list_lru_walk_one" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154b1a77, "svc_find_xprt" },
	{ 0x7488afa, "seq_printf" },
	{ 0xc2808007, "svc_proc_unregister" },
	{ 0x79722957, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xcd7d6ff2, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef509e6e, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb6cfaf1, "exportfs_decode_fh_raw" },
	{ 0x22ade9e7, "vfs_clone_file_range" },
	{ 0xdc81810e, "svc_addsock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb2b16c1f, "lookup_one_len_unlocked" },
	{ 0x7ae19d9c, "gss_mech_get" },
	{ 0x73789075, "svc_fill_write_vector" },
	{ 0x5d35a3d3, "vfs_kern_mount" },
	{ 0x6883bfeb, "vfs_llseek" },
	{ 0x1b105b09, "simple_recursive_removal" },
	{ 0x90d21686, "locks_free_lease" },
	{ 0x8f06c53c, "__put_user_ns" },
	{ 0xea41e0f, "rpc_unlink" },
	{ 0xa68c753c, "sunrpc_cache_pipe_upcall" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x77d415ed, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcb8a00ea, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4f005b21, "vfs_link" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x110a192c, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x66cac92a, "seq_open" },
	{ 0x12cca74a, "dget_parent" },
	{ 0x75c10a7c, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xc4055b, "from_kuid_munged" },
	{ 0x9eb472a1, "prepare_kernel_cred" },
	{ 0xac3d884f, "write_bytes_to_xdr_buf" },
	{ 0x4c1fad2e, "rpc_call_async" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfd69683e, "cache_destroy_net" },
	{ 0x42f23dd2, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe93fc6b, "bpf_trace_run7" },
	{ 0x6f7d397d, "locks_start_grace" },
	{ 0x27c536be, "param_ops_int" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x9d5a1dc8, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0x420931f4, "setattr_should_drop_sgid" },
	{ 0x65154255, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa5ec9468, "single_open" },
	{ 0x77a7a16e, "lease_get_mtime" },
	{ 0x3c071f9, "__mnt_is_readonly" },
	{ 0xb9965aae, "crypto_alloc_shash" },
	{ 0xaf540117, "svc_xprt_close" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb59b558d, "genl_register_family" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x66ac35b5, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xbc5af919, "svc_xprt_create" },
	{ 0xc0d646ed, "sunrpc_cache_update" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5ddd2ad1, "svc_auth_flavor" },
	{ 0x3f9d0b51, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3008a0db, "locks_free_lock" },
	{ 0x3fb4c288, "fsnotify_add_mark" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x913290ac, "set_groups" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x990b5c8f, "auth_domain_put" },
	{ 0x37fc7c41, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc8cbe8c5, "d_path" },
	{ 0x8f1610a1, "svcauth_gss_flavor" },
	{ 0xb97efb9f, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb0d7af69, "svc_find_listener" },
	{ 0xef464c28, "getboottime64" },
	{ 0x699a7c4e, "svc_generic_rpcbind_set" },
	{ 0x60b725e0, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0xa5141f3e, "seq_path" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xc0019b4e, "vfs_fsync_range" },
	{ 0x7a0ecb59, "shrinker_alloc" },
	{ 0x53f76f11, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaba8fa35, "vfs_listxattr" },
	{ 0x72a008b8, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf6d8485b, "opens_in_grace" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28304bd4, "notify_change" },
	{ 0x67fafe71, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9dd5e43a, "simple_dir_inode_operations" },
	{ 0x7255ffc2, "vfs_getattr" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9d5ebe45, "xdr_write_pages" },
	{ 0xb12b3c5a, "rpc_shutdown_client" },
	{ 0xcec787e1, "vfs_rename" },
	{ 0x47e9c12c, "svc_bind" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x99fed97d, "proc_create" },
	{ 0x3422dc85, "lookup_one_len" },
	{ 0xae5a0822, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x8af904f5, "__break_lease" },
	{ 0xa05be892, "new_inode" },
	{ 0xd92e48ea, "svc_recv" },
	{ 0xfbc18fb6, "crypto_shash_tfm_digest" },
	{ 0x8a304535, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8ab537f0, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4b365757, "cache_create_net" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x48051dee, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0x2bb4190, "nlmsvc_unlock_all_by_sb" },
	{ 0xe9094dd6, "unregister_filesystem" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x45a25ee5, "locks_owner_has_blockers" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c58ead2, "iterate_dir" },
	{ 0x7732e437, "read_bytes_from_xdr_buf" },
	{ 0x9c9f99fb, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1930faa8, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x24314882, "lockd_down" },
	{ 0x8c48dcde, "get_tree_keyed" },
	{ 0x9932d068, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x81edd83, "lockd_up" },
	{ 0xa5bc4419, "abort_creds" },
	{ 0xbc095748, "simple_fill_super" },
	{ 0x908143e8, "security_file_post_open" },
	{ 0xd9f8950, "svc_reserve" },
	{ 0x75a250a, "sunrpc_cache_lookup_rcu" },
	{ 0x5491a0f2, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x2ba9d23a, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe1d73de3, "cache_seq_next_rcu" },
	{ 0x30061a82, "current_time" },
	{ 0x8f3b5396, "genlmsg_put" },
	{ 0x96163f97, "fsnotify_put_mark" },
	{ 0xcd2c3027, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x607d370b, "ihold" },
	{ 0x1ebc3f0, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x84e45bc0, "simple_transaction_get" },
	{ 0x8a5e6406, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x143f4d57, "svc_max_payload" },
	{ 0x7aece0b4, "vfs_test_lock" },
	{ 0x9f7830da, "svc_exit_thread" },
	{ 0xab363dfa, "iput" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0x3573fe17, "seq_lseek" },
	{ 0xce4cb6b2, "follow_down" },
	{ 0x33eca56f, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x45305e04, "rpc_wake_up_queued_task" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe87e2bee, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x99a032b8, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x98168e7d, "security_inode_setsecctx" },
	{ 0x641c8f38, "__xdr_commit_encode" },
	{ 0x7561e00f, "kthread_data" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x548435fc, "register_filesystem" },
	{ 0x5ee2aa12, "list_lru_count_node" },
	{ 0x6873b248, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfe062b9c, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa643125, "sync_inode_metadata" },
	{ 0x9999d0e5, "simple_transaction_set" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x9493fc86, "node_states" },
	{ 0xcecd1024, "path_put" },
	{ 0x8cc40257, "rpc_sleep_on" },
	{ 0xc7b08f75, "svc_encode_result_payload" },
	{ 0xd968eacc, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ed21d65, "rpc_put_sb_net" },
	{ 0x87715e17, "__put_cred" },
	{ 0x8ec0c1ba, "register_pernet_subsys" },
	{ 0x57252c01, "locks_in_grace" },
	{ 0x4467b862, "wake_up_process" },
	{ 0x173ad61c, "vfs_mkdir" },
	{ 0xd7755949, "shrinker_free" },
	{ 0x9f3ab46c, "svc_proc_register" },
	{ 0x18f7fa8, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x14d0aec3, "vfs_statfs" },
	{ 0x910b911d, "crypto_destroy_tfm" },
	{ 0x93209774, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0xb0a21722, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x6e8baf24, "cache_purge" },
	{ 0x450c1690, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xade4e9ea, "vfs_iter_read" },
	{ 0x5e26890d, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xde8ca2d7, "__fput_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x286ef2c8, "make_kuid" },
	{ 0xdee644fe, "locks_release_private" },
	{ 0x2ba1f6be, "mnt_want_write" },
	{ 0x791c2210, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7506af25, "cache_seq_stop_rcu" },
	{ 0x3523f2f2, "__alloc_skb" },
	{ 0xebf1338b, "shrinker_register" },
	{ 0xc7bc4114, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xaa2a8970, "const_pcpu_hot" },
	{ 0x88b84646, "rpc_destroy_pipe_data" },
	{ 0x9d5ff748, "cache_seq_start_rcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x282a2fef, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x6e941754, "init_task" },
	{ 0x8483438e, "xdr_init_encode_pages" },
	{ 0xf3b4a2d8, "rpc_pipe_generic_upcall" },
	{ 0x9f6f24f6, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbddf6618, "mntput" },
	{ 0x8dfadd79, "simple_transaction_release" },
	{ 0xa88edc67, "svc_xprt_put" },
	{ 0xed5807d1, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x21579225, "security_inode_getsecctx" },
	{ 0x9ac421fa, "cache_unregister_net" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x31ebc8ee, "sunrpc_get_pool_mode" },
	{ 0x662d71e4, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xce8035d2, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x94d96b50, "lease_modify" },
	{ 0x10eee0d, "svc_age_temp_xprts_now" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x18f44df3, "vfs_get_link" },
	{ 0x17ead895, "perf_trace_run_bpf_submit" },
	{ 0x2d636f73, "svc_rqst_replace_page" },
	{ 0x5906c5e1, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4e4d4f7a, "rpc_machine_cred" },
	{ 0x446acb5f, "nfs_stream_encode_acl" },
	{ 0xce807a25, "up_write" },
	{ 0x41ed926f, "exportfs_encode_fh" },
	{ 0xc605e55, "kernel_setlease" },
	{ 0x4afd8f64, "simple_symlink_inode_operations" },
	{ 0xc5fabebb, "svc_set_num_threads" },
	{ 0xa2cbe082, "svc_rpcb_cleanup" },
	{ 0x11a4187d, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3a406c70, "__splice_from_pipe" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0x42f9d281, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x1efffb0, "netlink_unicast" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xbbdf85d, "locks_init_lease" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xdb879cac, "bpf_trace_run5" },
	{ 0xb29e37ae, "rpc_d_lookup_sb" },
	{ 0x218a62e1, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb7242408, "svc_create_pooled" },
	{ 0xfabc551c, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x55c75a42, "xdr_reserve_space_vec" },
	{ 0xf23a780d, "lock_rename" },
	{ 0x1c84d2aa, "kmem_cache_free" },
	{ 0x507e4800, "__vfs_setxattr_locked" },
	{ 0xa10fc4e1, "svc_fill_symlink_pathname" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xeda6ea1c, "xdr_stream_subsegment" },
	{ 0x3491cf5a, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe352446e, "from_kgid" },
	{ 0x36e925c, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9c683c94, "vfs_getxattr" },
	{ 0xd9d068fe, "iov_iter_kvec" },
	{ 0xef4934d, "rw_verify_area" },
	{ 0x8d90d726, "locks_alloc_lease" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x272ca70f, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x88d0c3ee, "simple_transaction_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdb3c7888, "__audit_inode_child" },
	{ 0x5738b944, "xdr_restrict_buflen" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf7ed7b31, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x90e29405, "set_posix_acl" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xec342ac2, "rpc_create" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x959e1041, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x86c0d041, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0x4fd99b34, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xca03e32f, "svcauth_unix_purge" },
	{ 0x3dae228c, "default_llseek" },
	{ 0xbc9f633a, "kill_litter_super" },
	{ 0xfe329626, "locks_alloc_lock" },
	{ 0xe15d4a7f, "proc_mkdir" },
	{ 0x6031875b, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xaad83b7d, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x46a774c, "rpc_queue_upcall" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss,nfs_acl,lockd,grace");


MODULE_INFO(srcversion, "6AED8B23F27BB0D59FE973A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
