#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x68b916e6, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4cb34d4, "fscrypt_set_context" },
	{ 0x286ef2c8, "make_kuid" },
	{ 0xcf88f40d, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x541d9933, "fs_kobj" },
	{ 0xf9bd027d, "__filemap_set_wb_err" },
	{ 0xa081c5f0, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x50e22262, "fscrypt_file_open" },
	{ 0xebf1338b, "shrinker_register" },
	{ 0xd94b753d, "__filemap_get_folio" },
	{ 0xaa2a8970, "const_pcpu_hot" },
	{ 0xa3c3a10e, "ilookup" },
	{ 0x1efbf8ba, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc495b94b, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x83ffaf02, "inode_init_once" },
	{ 0x9d022bb5, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x12cb4f61, "ubi_leb_unmap" },
	{ 0x7ffe19a2, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6be65757, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x474d55e1, "generic_file_read_iter" },
	{ 0xe6ffa4b1, "crypto_shash_setkey" },
	{ 0x3bc37ea1, "key_type_logon" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x49bd392c, "ubi_leb_read" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x7b9abc9f, "__fscrypt_prepare_rename" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xa649cd9a, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xcf56885d, "write_cache_pages" },
	{ 0xd62fff3, "fscrypt_ioctl_set_policy" },
	{ 0x3d04495a, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9abec38d, "kmem_cache_alloc_lru_noprof" },
	{ 0x1c84d2aa, "kmem_cache_free" },
	{ 0xbf77dc81, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3df01f7d, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0xe352446e, "from_kgid" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xf6bf4248, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x33208d57, "__fscrypt_encrypt_symlink" },
	{ 0xe13bef1e, "__fscrypt_prepare_link" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x59b740b3, "ubi_leb_write" },
	{ 0xff1320cc, "kobject_init_and_add" },
	{ 0x7e0f89ec, "sget" },
	{ 0xc51adaa1, "crypto_shash_update" },
	{ 0x5411f3f4, "ubi_leb_change" },
	{ 0x76af6461, "write_inode_now" },
	{ 0xa12a602b, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf7ed7b31, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9f86025c, "fscrypt_put_encryption_info" },
	{ 0x45091d45, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3988208, "__folio_start_writeback" },
	{ 0x3fcaed01, "ubi_open_volume_nm" },
	{ 0xff87ace9, "folio_end_writeback" },
	{ 0x8c365ed1, "fscrypt_d_revalidate" },
	{ 0x6031875b, "from_kuid" },
	{ 0x30d3a86c, "ubi_leb_map" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x958c3b50, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x870c74ea, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc2195094, "fscrypt_drop_inode" },
	{ 0xd1716922, "hash_algo_name" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6eac7bc1, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfadf9ba1, "nonseekable_open" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1b69876e, "__fscrypt_prepare_readdir" },
	{ 0x128f441b, "debugfs_create_file" },
	{ 0x6c090ccf, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0x484b7812, "generic_read_dir" },
	{ 0xe73e4743, "kobject_del" },
	{ 0x671a6c32, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x10475a3c, "init_user_ns" },
	{ 0xa1a83f9, "simple_rename_timestamp" },
	{ 0x9dbf24c1, "request_key_tag" },
	{ 0xc5e9f14d, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x2c1a1ba2, "fscrypt_fname_disk_to_usr" },
	{ 0xde81664e, "inode_set_ctime_current" },
	{ 0xf61113fc, "inc_nlink" },
	{ 0xd48045a, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x6f6a1e8e, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x8bb264eb, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x425a1098, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7488afa, "seq_printf" },
	{ 0x471bfe97, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x610bfd34, "deactivate_locked_super" },
	{ 0xef509e6e, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x646cc74a, "__folio_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x1009e190, "filemap_dirty_folio" },
	{ 0xce02c352, "is_bad_inode" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x7e9a9df7, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x4aeb991c, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x61152ed6, "kill_anon_super" },
	{ 0xfe51df, "writeback_inodes_sb_nr" },
	{ 0xf1eada4, "d_parent_ino" },
	{ 0x81188c30, "match_string" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x8d33b4b4, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xeb35a8a4, "fscrypt_prepare_new_inode" },
	{ 0xc730bac9, "param_get_int" },
	{ 0x87de20e, "fscrypt_get_symlink" },
	{ 0x1779dceb, "filemap_fault" },
	{ 0xb9965aae, "crypto_alloc_shash" },
	{ 0xcd8a18ec, "debugfs_create_dir" },
	{ 0xc4f4bf21, "__mark_inode_dirty" },
	{ 0x59cb53d9, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x96a85d45, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xa743ab10, "set_anon_super" },
	{ 0x25171ffe, "drop_nlink" },
	{ 0xe8d43e6, "fscrypt_free_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9f799677, "fscrypt_has_permitted_context" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x214f7c36, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xe712f78e, "fscrypt_symlink_getattr" },
	{ 0x37fc7c41, "kmem_cache_destroy" },
	{ 0xfe53f08e, "crypto_shash_export" },
	{ 0x1ac06a4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x59aa4f33, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xfe4dc88b, "inode_update_timestamps" },
	{ 0x6ae72e66, "crypto_comp_decompress" },
	{ 0x6d4df5a7, "inode_init_owner" },
	{ 0xc1705330, "generic_fillattr" },
	{ 0x96c00750, "setattr_prepare" },
	{ 0xea155e4f, "filemap_migrate_folio" },
	{ 0x44437295, "iget_locked" },
	{ 0x7a0ecb59, "shrinker_alloc" },
	{ 0xe6c0d452, "generic_set_sb_d_ops" },
	{ 0x9e66c3de, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x13f94536, "d_instantiate" },
	{ 0xdf057773, "clear_inode" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x5545fbb2, "crypto_shash_import" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf8f43575, "crypto_alloc_base" },
	{ 0x4037a461, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x20bec08f, "folio_unlock" },
	{ 0xbdb51e35, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa05be892, "new_inode" },
	{ 0xfbc18fb6, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdf22055f, "filemap_map_pages" },
	{ 0xba32f98c, "init_special_inode" },
	{ 0xe9094dd6, "unregister_filesystem" },
	{ 0x48fe0a00, "__fscrypt_prepare_setattr" },
	{ 0x79c29f01, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x26e1c1f9, "fscrypt_ioctl_get_key_status" },
	{ 0xe355c29f, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xde29e58e, "fscrypt_decrypt_block_inplace" },
	{ 0x2063b2a1, "sync_filesystem" },
	{ 0xaeac4e8a, "ubi_is_mapped" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x7863320, "folio_redirty_for_writepage" },
	{ 0xea12e709, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x30061a82, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x607d370b, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0x621146ba, "finish_open" },
	{ 0xab363dfa, "iput" },
	{ 0xdbccb239, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xd7702bbf, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd6169e5e, "generic_file_write_iter" },
	{ 0x6c3d43ce, "ubi_open_volume_path" },
	{ 0x548435fc, "register_filesystem" },
	{ 0x26682f7f, "d_tmpfile" },
	{ 0x6873b248, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x72f01638, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5c89f2e, "fscrypt_ioctl_get_policy_ex" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeecc2d99, "crypto_comp_compress" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7f4cd000, "ubi_get_volume_info" },
	{ 0x4467b862, "wake_up_process" },
	{ 0xd7755949, "shrinker_free" },
	{ 0x6ac8ca45, "fscrypt_setup_filename" },
	{ 0x910b911d, "crypto_destroy_tfm" },
	{ 0x93209774, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "ubi");


MODULE_INFO(srcversion, "99FCAB37362F460E953B9CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
