#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0xf28243b6, "br_multicast_has_querier_anywhere" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd39ff542, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8bed0c58, "__pskb_pull_tail" },
	{ 0xdd6247e8, "netif_rx" },
	{ 0x7914bb73, "ip_mc_check_igmp" },
	{ 0x6db73f0d, "__netdev_alloc_skb" },
	{ 0xde3790de, "netdev_master_upper_dev_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9a061f68, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0xa7567b5e, "br_multicast_list_adjacent" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe32fc05, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfac1e4a3, "netdev_master_upper_dev_get_rcu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2110f7f2, "skb_copy" },
	{ 0x62550b2b, "br_multicast_has_router_adjacent" },
	{ 0xa4005d73, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x75c10a7c, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x26d4cf34, "dev_kfree_skb_any_reason" },
	{ 0xf282faa7, "skb_split" },
	{ 0xb59b558d, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c2562ac, "pskb_trim_rcsum_slow" },
	{ 0x9ead9a97, "skb_seq_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x37fc7c41, "kmem_cache_destroy" },
	{ 0x94404d11, "register_netdevice" },
	{ 0x3787424f, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb3771f0, "cfg80211_get_station" },
	{ 0x887e3639, "skb_copy_bits" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xcd5a1718, "ipv6_mc_check_mld" },
	{ 0xfb890d1, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x80afe71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xde66be1, "param_get_string" },
	{ 0x56c81e14, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcbb5747, "br_multicast_has_querier_adjacent" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x426fdf5c, "rtnl_link_register" },
	{ 0x8f3b5396, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbc6cdbae, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xe8f3e3aa, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x928accd4, "unregister_netdevice_queue" },
	{ 0x6873b248, "kmem_cache_create" },
	{ 0xfc234bc7, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x186b4bee, "__pskb_copy_fclone" },
	{ 0x6d2c475f, "ether_setup" },
	{ 0xdb1442ff, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58cdf9be, "param_set_copystring" },
	{ 0xe5bfb51e, "pskb_expand_head" },
	{ 0x4467b862, "wake_up_process" },
	{ 0xafc9057a, "dev_addr_mod" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xaecd3ed8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x3523f2f2, "__alloc_skb" },
	{ 0x114ac874, "skb_copy_expand" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb85e41d2, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x749d6938, "__dev_get_by_index" },
	{ 0x6ef0e3c1, "rtnl_link_unregister" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0x1efffb0, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x38c59aaf, "dev_remove_pack" },
	{ 0x2ef3504a, "dev_get_by_index" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdd04722, "skb_push" },
	{ 0x1c84d2aa, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xcd39f7d8, "netdev_upper_dev_unlink" },
	{ 0xbd6841d4, "crc16" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x605b4298, "skb_prepare_seq_read" },
	{ 0x9751567, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x71a77b2f, "arp_create" },
	{ 0x20d3160, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "bridge,libcrc32c,cfg80211");


MODULE_INFO(srcversion, "24A653B4ECE40B70702BC09");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
