#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x1a289fc1, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xd7a67233, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x0abc23b8, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xedcebb2b, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x4a43556c, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xe5d958f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3523f2f2, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb9748b6d, "skb_mpls_pop" },
	{ 0x485b38cf, "skb_vlan_pop" },
	{ 0x18493955, "dst_init" },
	{ 0x9f6f24f6, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x63a49fef, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6ef0e3c1, "rtnl_link_unregister" },
	{ 0x17ead895, "perf_trace_run_bpf_submit" },
	{ 0x195d3506, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xf7e0ac5b, "ipv6_stub" },
	{ 0x36dbe7ff, "skb_mpls_update_lse" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0xd5b611d1, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0x1efffb0, "netlink_unicast" },
	{ 0xdb879cac, "bpf_trace_run5" },
	{ 0x2505d730, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdd04722, "skb_push" },
	{ 0x1c84d2aa, "kmem_cache_free" },
	{ 0xcd39f7d8, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x36e925c, "trace_event_reg" },
	{ 0x69902bb4, "skb_ensure_writable" },
	{ 0x134e933a, "free_netdev" },
	{ 0x1c8b3b73, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7738b2cc, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9751567, "ethtool_op_get_link" },
	{ 0xd746285e, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xb3aff169, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd39ff542, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8bed0c58, "__pskb_pull_tail" },
	{ 0xfae672df, "nf_ct_delete" },
	{ 0xa1b1236f, "nf_conncount_init" },
	{ 0xd0cfc2ee, "skb_vlan_push" },
	{ 0xdd6247e8, "netif_rx" },
	{ 0x6db73f0d, "__netdev_alloc_skb" },
	{ 0xde3790de, "netdev_master_upper_dev_link" },
	{ 0x519b9d42, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x86c1eb75, "inet_proto_csum_replace16" },
	{ 0x9a061f68, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x78aacde7, "skb_scrub_packet" },
	{ 0x530335c0, "nf_ct_deliver_cached_events" },
	{ 0xb34b05d2, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x20c0633a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe32fc05, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x6503c895, "trace_event_buffer_reserve" },
	{ 0xd077b32c, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x55a58050, "inet_proto_csum_replace4" },
	{ 0x5acf7e31, "nf_conncount_destroy" },
	{ 0x334ee191, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xc2b0a8a4, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1bec32b2, "dev_get_by_name" },
	{ 0xa4005d73, "skb_clone" },
	{ 0xdba4221f, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e51e4d6, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa0d2ff52, "peernet2id_alloc" },
	{ 0xa4c0d013, "nf_ct_get_tuplepr" },
	{ 0x7ce0b2ae, "netdev_rx_handler_register" },
	{ 0xdfbfd3a9, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x75c10a7c, "genl_unregister_family" },
	{ 0x39fbbcb7, "dev_disable_lro" },
	{ 0x8015bb0c, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x26d4cf34, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb59b558d, "genl_register_family" },
	{ 0x931deff0, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5fb3138b, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x69b50b7f, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x4f1cf125, "skb_mpls_push" },
	{ 0x5320480b, "register_pernet_device" },
	{ 0x8f539796, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x37fc7c41, "kmem_cache_destroy" },
	{ 0x23caab51, "__skb_vlan_pop" },
	{ 0xcb57d41d, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x94404d11, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x9be44479, "nf_ct_ext_add" },
	{ 0x62b66725, "nsh_pop" },
	{ 0xda4d294c, "nf_conntrack_find_get" },
	{ 0x6bd129fb, "nf_ct_set_timeout" },
	{ 0x742eafe0, "dev_get_stats" },
	{ 0xb0568cb7, "__nla_put" },
	{ 0x53f76f11, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x81cb69e3, "dev_fill_metadata_dst" },
	{ 0x67fafe71, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x887e3639, "skb_copy_bits" },
	{ 0x997ac3c8, "nf_ct_handle_fragments" },
	{ 0xb45e14ff, "eth_mac_addr" },
	{ 0xfb890d1, "skb_put" },
	{ 0xce8df1df, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x572714ec, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x80afe71, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd7d382b0, "nf_ct_nat" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x61b23347, "skb_eth_pop" },
	{ 0x48051dee, "trace_raw_output_prep" },
	{ 0x9fc15140, "skb_gso_validate_mac_len" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xc9c69dac, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xc579ef8c, "nf_ct_helper" },
	{ 0x9c9f99fb, "__trace_trigger_soft_disabled" },
	{ 0x8697a269, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x9932d068, "trace_event_printf" },
	{ 0xe3907037, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x426fdf5c, "rtnl_link_register" },
	{ 0xef13f27b, "nf_connlabels_put" },
	{ 0x8f3b5396, "genlmsg_put" },
	{ 0x95cba573, "___pskb_trim" },
	{ 0xcd2c3027, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa40d5b, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8cb988d, "dev_set_promiscuity" },
	{ 0x4e1c71c6, "nf_ct_destroy_timeout" },
	{ 0xc40dffb4, "nf_ct_add_helper" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0x1c4f91c, "nf_conntrack_helper_put" },
	{ 0x386af6ee, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe636f828, "nf_ct_skb_network_trim" },
	{ 0x928accd4, "unregister_netdevice_queue" },
	{ 0x6873b248, "kmem_cache_create" },
	{ 0xfc234bc7, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x6d2c475f, "ether_setup" },
	{ 0xdb1442ff, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5bfb51e, "pskb_expand_head" },
	{ 0x579db6c4, "skb_csum_hwoffload_help" },
	{ 0x18f7fa8, "trace_event_buffer_commit" },
	{ 0xafc9057a, "dev_addr_mod" },
	{ 0x10d9e9a2, "nf_connlabels_replace" },
	{ 0xaecd3ed8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc966f166, "alloc_netdev_mqs" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9e4d2875, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xc1cdcf52, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6b921572, "skb_eth_push" },
	{ 0x5d2503f0, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "E33A50B587626FB5841DCCF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
