#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x1de4d61a, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x357e1e2c, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xf23a4385, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xace5ad00, "put_device" },
	{ 0x7f4f8e2f, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x337ead6f, "fwnode_gpiod_get_index" },
	{ 0xc46eb84a, "device_property_read_u32_array" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x9ed70c9e, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x95ccb4f3, "devm_acpi_dev_add_driver_gpios" },
	{ 0x764752b5, "devm_kfree" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc08fb88, "cs_dsp_halo_init" },
	{ 0x5fadef0, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xad4e7f93, "device_link_remove" },
	{ 0xbad58143, "cs35l41_test_key_unlock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x87d54dcf, "cs35l41_test_key_lock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc23ada46, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x207b218e, "_dev_warn" },
	{ 0x7f5aa217, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf445d8b9, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4f6b8fd8, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc0df98b, "devm_kasprintf" },
	{ 0xd3f8e4b3, "devm_regmap_add_irq_chip" },
	{ 0x84e35547, "cs35l41_exit_hibernate" },
	{ 0x36ba4331, "spi_setup" },
	{ 0x9bc88e41, "regmap_read" },
	{ 0xa539ab44, "cs_dsp_run" },
	{ 0x22644716, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x188369b, "cs_amp_write_cal_coeffs" },
	{ 0x46cf3de8, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x46418e14, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc8973597, "cs35l41_write_fs_errata" },
	{ 0x15853c9a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd896dcd4, "cs35l41_configure_cs_dsp" },
	{ 0x26b4b1b9, "_dev_crit" },
	{ 0xbb014f0e, "regmap_update_bits_base" },
	{ 0xbc8865b2, "dev_err_probe" },
	{ 0x2d02b194, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xcbe11662, "__pm_runtime_suspend" },
	{ 0xc3fd5fb1, "component_add" },
	{ 0xba5bc72, "__pm_runtime_use_autosuspend" },
	{ 0xf7b7d7bf, "cs35l41_set_channels" },
	{ 0x79916ebb, "__pm_runtime_disable" },
	{ 0xb2103044, "device_link_add" },
	{ 0x33895048, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x8931af18, "acpi_dev_get_first_match_dev" },
	{ 0x346628cc, "gpiod_get_value_cansleep" },
	{ 0x6ed2b15e, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x68cbd9e9, "regcache_cache_only" },
	{ 0xe971e3f6, "is_acpi_device_node" },
	{ 0x50a73ed8, "gpiod_put" },
	{ 0xc4ed803f, "regcache_sync" },
	{ 0x92d13668, "regmap_write" },
	{ 0x3c5be89c, "devm_request_threaded_irq" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0x4a1974ee, "cs_amp_get_efi_calibration_data" },
	{ 0xd28a2e6b, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0xaf2022f4, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8278305f, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2bfcc4bf, "cs_dsp_stop" },
	{ 0x6c9c37b0, "pm_runtime_set_autosuspend_delay" },
	{ 0x2cbbf980, "cs35l41_register_errata_patch" },
	{ 0xe96a6f2f, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x87c512ba, "gpiod_get_index" },
	{ 0x28196dc9, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a289551, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d6f18e3, "cs35l41_init_boost" },
	{ 0x66c561e0, "cs35l41_enter_hibernate" },
	{ 0xe0dfc67c, "get_device" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc45b905e, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37b9c298, "__pm_runtime_set_status" },
	{ 0xd05188cc, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "6D4A3B7BF6956CCA148333F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
