#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0xf3b451d8, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x2a67becc, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x6c2353f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4b391eff, "devm_gpiod_get_optional" },
	{ 0x4d6f18e3, "cs35l41_init_boost" },
	{ 0x66c561e0, "cs35l41_enter_hibernate" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37b9c298, "__pm_runtime_set_status" },
	{ 0xe05793f6, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f4f8e2f, "pm_runtime_enable" },
	{ 0xe2056679, "regulator_bulk_disable" },
	{ 0xc46eb84a, "device_property_read_u32_array" },
	{ 0x467e0cef, "snd_soc_get_enum_double" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x2b2370fd, "snd_soc_info_volsw" },
	{ 0x76503831, "regmap_multi_reg_write_bypassed" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xc07e9ab2, "wm_adsp_event" },
	{ 0x7a37d4cd, "snd_soc_dapm_put_volsw" },
	{ 0xbad58143, "cs35l41_test_key_unlock" },
	{ 0x87d54dcf, "cs35l41_test_key_lock" },
	{ 0x791e7da9, "snd_pcm_hw_constraint_list" },
	{ 0x5b6e2669, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xbbfb0d60, "wm_adsp2_component_probe" },
	{ 0x66e3d68a, "wm_adsp2_preloader_put" },
	{ 0xefd4d674, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2fe156d4, "wm_adsp2_preloader_get" },
	{ 0xff0315f, "snd_soc_info_enum_double" },
	{ 0x5620d3ca, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x7e8121d4, "devm_regulator_bulk_get" },
	{ 0xee20abbc, "snd_soc_info_volsw_sx" },
	{ 0x4f6b8fd8, "cs35l41_otp_unpack" },
	{ 0x42aa4f40, "wm_adsp2_component_remove" },
	{ 0xdc307bf6, "snd_soc_get_volsw" },
	{ 0x84e35547, "cs35l41_exit_hibernate" },
	{ 0x9bc88e41, "regmap_read" },
	{ 0xdd4b8b24, "snd_soc_put_volsw" },
	{ 0x8e0e51, "wm_adsp_fw_get" },
	{ 0x22644716, "__pm_runtime_resume" },
	{ 0x46cf3de8, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xc8973597, "cs35l41_write_fs_errata" },
	{ 0x3a10d42f, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd896dcd4, "cs35l41_configure_cs_dsp" },
	{ 0x26b4b1b9, "_dev_crit" },
	{ 0xbb014f0e, "regmap_update_bits_base" },
	{ 0xbc8865b2, "dev_err_probe" },
	{ 0xa0516cd, "snd_soc_dapm_get_volsw" },
	{ 0xcbe11662, "__pm_runtime_suspend" },
	{ 0x19602fa5, "snd_soc_dapm_get_enum_double" },
	{ 0xba5bc72, "__pm_runtime_use_autosuspend" },
	{ 0x2aeae8eb, "wm_halo_init" },
	{ 0xab7cdd8e, "wm_adsp_early_event" },
	{ 0xf7b7d7bf, "cs35l41_set_channels" },
	{ 0x79916ebb, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x7b42b431, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x8466cc64, "snd_soc_dapm_put_enum_double" },
	{ 0x498c8e0f, "wm_adsp_fw_put" },
	{ 0xdc26ba40, "device_property_present" },
	{ 0x6ed2b15e, "cs35l41_global_enable" },
	{ 0x68cbd9e9, "regcache_cache_only" },
	{ 0xe971e3f6, "is_acpi_device_node" },
	{ 0xc4ed803f, "regcache_sync" },
	{ 0x92d13668, "regmap_write" },
	{ 0x3c5be89c, "devm_request_threaded_irq" },
	{ 0x26241c67, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6c9c37b0, "pm_runtime_set_autosuspend_delay" },
	{ 0x2cbbf980, "cs35l41_register_errata_patch" },
	{ 0xe96a6f2f, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0xd295a8e3, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xec40ac3c, "snd_soc_put_enum_double" },
	{ 0x4a289551, "regcache_mark_dirty" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "811F3320C280B4B068979DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
