#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0xdd19d4cf, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xa8b31988, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x3380135c, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x6fb6c0d1, "");
SYMBOL_CRC(acp_dsp_block_read, 0x24b050a2, "");
SYMBOL_CRC(acp_dsp_block_write, 0x06590080, "");
SYMBOL_CRC(acp_get_bar_index, 0x418f6555, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xf9624244, "");
SYMBOL_CRC(acp_sof_dsp_run, 0xa07c8980, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xff80727d, "");
SYMBOL_CRC(acp_mailbox_write, 0x2e51d747, "");
SYMBOL_CRC(acp_mailbox_read, 0x37b3d67e, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x13cb22f4, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xcf8a0af5, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x230c8c97, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x269abef5, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x6d02842b, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x75c6d8b4, "");
SYMBOL_CRC(acp_pcm_open, 0x1ce315a2, "");
SYMBOL_CRC(acp_pcm_close, 0x099b8fa0, "");
SYMBOL_CRC(acp_pcm_pointer, 0xc5bea810, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xf63a59c2, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x0a85beeb, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x484ec3ae, "");
SYMBOL_CRC(acp_sof_trace_release, 0x64b2070e, "");
SYMBOL_CRC(acp_sof_trace_init, 0xcedc16ad, "");
SYMBOL_CRC(sof_acp_common_ops, 0xbd51b622, "");
SYMBOL_CRC(acp_probes_register, 0x0eaa43de, "");
SYMBOL_CRC(acp_probes_unregister, 0x96fd906e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fea47d, "devm_ioremap" },
	{ 0xbd4431ce, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5a8f2fb1, "snd_sgbuf_get_addr" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x21d1eea7, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2c40c658, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa59b4482, "sdw_amd_probe" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc30ebd4e, "platform_device_unregister" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0xe82017da, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xbf3f5757, "sof_print_oops_and_stack" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x5c534f0b, "snd_sof_dsp_update_bits" },
	{ 0xe1a4d5fa, "sdw_amd_get_slave_info" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x71f758de, "sof_io_read" },
	{ 0xfc0df98b, "devm_kasprintf" },
	{ 0x7b022659, "snd_sof_ipc_reply" },
	{ 0x1867eb1f, "platform_device_register_full" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0x46418e14, "param_ops_bool" },
	{ 0xf55c9b80, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0249a4f, "snd_sof_dsp_panic" },
	{ 0x2d25ff9e, "sof_client_dev_unregister" },
	{ 0x147f363a, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x43e139cd, "pci_write_config_dword" },
	{ 0x45fc48fd, "sof_io_write" },
	{ 0xe547295b, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcdcb69d3, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbe8d83de, "sdw_amd_exit" },
	{ 0xdcc21b74, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xe971e3f6, "is_acpi_device_node" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf1d444ee, "pci_dev_put" },
	{ 0xa041e1a7, "pci_get_device" },
	{ 0x2ed15e61, "request_firmware" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi,soundwire-amd,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "8F7185ABB17DA99E6903399");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
