#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x576f5cd0, "hda_sdw_int_enable" },
	{ 0xcec30095, "hda_sdw_startup" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0x4f30b47c, "hda_dsp_disable_interrupts" },
	{ 0x7999d5c2, "hda_dsp_set_power_state_ipc4" },
	{ 0x3de05422, "sof_cnl_ops_init" },
	{ 0xddc196d1, "hda_power_down_dsp" },
	{ 0xf96c3c64, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f6d318d, "hda_dsp_cl_boot_firmware_iccmax" },
	{ 0x4a1b751a, "hda_dsp_enable_core" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc77f74d2, "sof_hda_common_ops" },
	{ 0x59f82e9f, "hda_sdw_check_lcount_common" },
	{ 0x9717623a, "cnl_ipc4_dump" },
	{ 0x2d3d89a0, "hda_pci_intel_probe" },
	{ 0xacffb40, "sof_cnl_ops" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x723bd16, "sof_pci_remove" },
	{ 0x1568d18, "cnl_ipc_dump" },
	{ 0x98e7056f, "hda_set_dai_drv_ops" },
	{ 0xc239ec3a, "hda_dsp_set_power_state_ipc3" },
	{ 0xfb15a137, "cnl_ipc4_irq_thread" },
	{ 0x44fb648, "snd_soc_acpi_intel_jsl_machines" },
	{ 0x86aba14b, "snd_sof_dsp_update_bits_unlocked" },
	{ 0xf89348f2, "cnl_ipc_irq_thread" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7ce4bd1, "hda_common_enable_sdw_irq" },
	{ 0xce9ead97, "hda_dsp_check_ipc_irq" },
	{ 0x7e49686c, "snd_soc_acpi_intel_icl_machines" },
	{ 0x3909fb00, "cl_dsp_init" },
	{ 0x2e360692, "hda_ops_free" },
	{ 0xeacb7c22, "sof_pci_shutdown" },
	{ 0xe9196dc6, "hda_dsp_core_get" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x56bd38b3, "hda_sdw_process_wakeen_common" },
	{ 0x5d037593, "hda_dsp_ipc4_load_library" },
	{ 0x3f2923c6, "cnl_ipc4_send_msg" },
	{ 0x62f1a20d, "hda_common_check_sdw_irq" },
	{ 0xe2d1d041, "jsl_chip_info" },
	{ 0x5ce35b44, "sof_pci_pm" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xad3a5319, "snd_soc_acpi_intel_icl_sdw_machines" },
	{ 0x3a1dd310, "hda_sdw_check_wakeen_irq_common" },
	{ 0xfc18dbcc, "hda_dsp_shutdown" },
	{ 0xcca745c0, "cnl_ipc_send_msg" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof-pci-intel-cnl,snd-sof-pci,snd-soc-acpi-intel-match,snd-sof");

MODULE_ALIAS("pci:v00008086d000034C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000038C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DC8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5F7E506BEF438182B21FB9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
