#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x88f87461, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xe1d525d2, "_gpl");
SYMBOL_CRC(af_alg_release, 0x52adbd51, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xf4ef39d5, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xe07511ff, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x88309e9e, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x34d53fe4, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x4bb74ca5, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x138c5622, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x1370034c, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xd14515f3, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x7eda8fcf, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x08da8605, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x56fc1e9a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x4868b080, "sk_alloc" },
	{ 0x70420b85, "sock_init_data" },
	{ 0x78905245, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2b3a8e0f, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc0a826ae, "extract_iter_to_sg" },
	{ 0x80dd4e9a, "proto_register" },
	{ 0x90ab4b9a, "sock_register" },
	{ 0x1fdfa67e, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x53f76f11, "try_module_get" },
	{ 0xc8c2ad20, "lock_sock_nested" },
	{ 0xb7af9f60, "release_sock" },
	{ 0x9f6f24f6, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe7a5157f, "sk_free" },
	{ 0x200a6c18, "security_sock_graft" },
	{ 0x292e6c36, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6e5e720, "sock_wake_async" },
	{ 0xc57b8ac7, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6f6a1e8e, "__folio_put" },
	{ 0x8efb7a6c, "__put_devmap_managed_folio_refs" },
	{ 0xaa2a8970, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6438884, "_copy_from_iter" },
	{ 0x22887a9a, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3ad4f7f8, "iov_iter_revert" },
	{ 0xe64df57e, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7ffe19a2, "key_put" },
	{ 0xdbdeba41, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf0b50a01, "sock_no_connect" },
	{ 0xd0315d58, "sock_no_socketpair" },
	{ 0x2126064a, "sock_no_getname" },
	{ 0x48b9ce6a, "sock_no_ioctl" },
	{ 0xd44f930f, "sock_no_listen" },
	{ 0x42620952, "sock_no_shutdown" },
	{ 0x99cc61a, "sock_no_sendmsg" },
	{ 0x2c6b1064, "sock_no_recvmsg" },
	{ 0x4dd7cb0d, "sock_no_mmap" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
