#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x8ac09f53, "");
SYMBOL_CRC(ishtp_start, 0xd0540dc9, "");
SYMBOL_CRC(ishtp_send_suspend, 0x043a66d5, "");
SYMBOL_CRC(ishtp_send_resume, 0x5a677df8, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0xdcb73f85, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x3a2686b1, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x4400456e, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x83da0b7f, "");
SYMBOL_CRC(ishtp_cl_free, 0x5adb2934, "");
SYMBOL_CRC(ishtp_cl_link, 0x7ffc037f, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xdc021fcb, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xb9822224, "");
SYMBOL_CRC(ishtp_cl_connect, 0x937903cf, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x42c6b642, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0xcb36d773, "");
SYMBOL_CRC(ishtp_cl_send, 0x03c62bbc, "");
SYMBOL_CRC(ishtp_get_client_data, 0xb7c41069, "");
SYMBOL_CRC(ishtp_set_client_data, 0x8701cf11, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xf93dbf4a, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x3e1faccb, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x47f95bc1, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x0b78e46a, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xbeba3c13, "");
SYMBOL_CRC(ishtp_recv, 0x81aebd2a, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x5fde2f2a, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x1aac90c5, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x00af615b, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x47b9007b, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x41fb557d, "");
SYMBOL_CRC(ishtp_get_device, 0x628cace1, "");
SYMBOL_CRC(ishtp_put_device, 0xc74cd7dc, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x504127d3, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x171bc679, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x2efe3e11, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xa12060d9, "");
SYMBOL_CRC(ishtp_reset_handler, 0x4e1128d3, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xcf24749a, "");
SYMBOL_CRC(ishtp_device, 0x2c780566, "");
SYMBOL_CRC(ishtp_wait_resume, 0xfd055cc5, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x6be3ec43, "");
SYMBOL_CRC(ishtp_trace_callback, 0xcb4bc52f, "");
SYMBOL_CRC(ish_hw_reset, 0x6dd8f50e, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x161a77cf, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x878efd60, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x5e9ca1dd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xace5ad00, "put_device" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77e31827, "bus_unregister" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0xaf1a34, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x17ce9d67, "device_register" },
	{ 0x207b218e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbc8865b2, "dev_err_probe" },
	{ 0x4d1709f8, "__devm_add_action" },
	{ 0x27c536be, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x49b20566, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x1f52e4fd, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8c5165c6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ade93b7, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2ed15e61, "request_firmware" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB5E87BD1AFD91DACEFD867");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
