#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmi160_regmap_config, "", "IIO_BMI160");
KSYMTAB_FUNC(bmi160_enable_irq, "", "IIO_BMI160");
KSYMTAB_FUNC(bmi160_core_probe, "_gpl", "IIO_BMI160");

SYMBOL_CRC(bmi160_regmap_config, 0x90de706f, "");
SYMBOL_CRC(bmi160_enable_irq, 0xca19cfae, "");
SYMBOL_CRC(bmi160_core_probe, 0xda39bf9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9bc88e41, "regmap_read" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46a8525, "regmap_bulk_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfff6a92d, "iio_push_to_buffers" },
	{ 0x73e5e5e4, "iio_trigger_notify_done" },
	{ 0xb96f0492, "regmap_get_device" },
	{ 0xe2056679, "regulator_bulk_disable" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x10f74ff8, "iio_device_id" },
	{ 0x3b1fcaa6, "__devm_iio_trigger_alloc" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x3c5be89c, "devm_request_threaded_irq" },
	{ 0xc994001e, "devm_iio_trigger_register" },
	{ 0xe0dfc67c, "get_device" },
	{ 0xab727666, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb794bbb1, "devm_iio_device_alloc" },
	{ 0x7e8121d4, "devm_regulator_bulk_get" },
	{ 0xd0f64a22, "iio_read_mount_matrix" },
	{ 0x5620d3ca, "regulator_bulk_enable" },
	{ 0x4d1709f8, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x528ef2e7, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x71506f9b, "__dev_fwnode" },
	{ 0x18fae422, "fwnode_irq_get_byname" },
	{ 0xef70e104, "irq_get_irq_data" },
	{ 0xdc26ba40, "device_property_present" },
	{ 0xdf64eb29, "__devm_iio_device_register" },
	{ 0x207b218e, "_dev_warn" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x2a193623, "iio_read_const_attr" },
	{ 0x2ef9c491, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb014f0e, "regmap_update_bits_base" },
	{ 0x92d13668, "regmap_write" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "59EDE8EA510E36854438777");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
