#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x37dce059, "");
SYMBOL_CRC(bme280_chip_info, 0x4039c19d, "");
SYMBOL_CRC(bmp380_chip_info, 0xaad3012f, "");
SYMBOL_CRC(bmp580_chip_info, 0x52114a99, "");
SYMBOL_CRC(bmp180_chip_info, 0x4bbdc582, "");
SYMBOL_CRC(bmp280_common_probe, 0xaf7340c3, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x1557b339, "");
SYMBOL_CRC(bmp180_regmap_config, 0x1cfb2e2e, "");
SYMBOL_CRC(bmp280_regmap_config, 0xf67df34c, "");
SYMBOL_CRC(bmp380_regmap_config, 0x192f45ad, "");
SYMBOL_CRC(bmp580_regmap_config, 0x1753f928, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f1de281, "regmap_bulk_write" },
	{ 0x22644716, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe46a8525, "regmap_bulk_read" },
	{ 0xbb014f0e, "regmap_update_bits_base" },
	{ 0xbc8865b2, "dev_err_probe" },
	{ 0xcbe11662, "__pm_runtime_suspend" },
	{ 0x4d1709f8, "__devm_add_action" },
	{ 0xba5bc72, "__pm_runtime_use_autosuspend" },
	{ 0x79916ebb, "__pm_runtime_disable" },
	{ 0x9d903cf2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x92d13668, "regmap_write" },
	{ 0x3c5be89c, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbc43e46f, "gpiod_set_value" },
	{ 0xfc76c651, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x6c9c37b0, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4b391eff, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37b9c298, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f4f8e2f, "pm_runtime_enable" },
	{ 0xe2056679, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xef70e104, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdf64eb29, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb794bbb1, "devm_iio_device_alloc" },
	{ 0x207b218e, "_dev_warn" },
	{ 0x58f7e8a7, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5620d3ca, "regulator_bulk_enable" },
	{ 0x7e8121d4, "devm_regulator_bulk_get" },
	{ 0x9bc88e41, "regmap_read" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "88824F7BB53C61E9BE24ABB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
