#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0xd9ba6eca, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0x55845168, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x42d8b28b, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0xbb280f75, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x1f63c8f3, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0xcb81a96c, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0x6ddc16e2, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x12f029bb, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x3730a002, "_gpl");
SYMBOL_CRC(wm9705_codec, 0x237960e5, "_gpl");
SYMBOL_CRC(wm9712_codec, 0x3ec77dbf, "_gpl");
SYMBOL_CRC(wm9713_codec, 0xf26d7d21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x207b218e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c85090f, "input_event" },
	{ 0xe5c25108, "input_set_abs_params" },
	{ 0x87a9cefc, "__platform_driver_register" },
	{ 0x1bde0500, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x27c536be, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe73ca09a, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xafa5c753, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xee4b3185, "platform_driver_unregister" },
	{ 0xce5d786b, "devm_input_allocate_device" },
	{ 0xbba3824f, "param_array_ops" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf08ad14a, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xfb4c6980, "device_wakeup_disable" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xc0bb7a71, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc30ebd4e, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8cc27f64, "platform_device_add" },
	{ 0x73eb8e1a, "platform_device_alloc" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E32059AC69758AAB6D7E2EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
