#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x46b54e6f, "usb_free_coherent" },
	{ 0xd175c717, "usb_kill_urb" },
	{ 0xaf2f9d03, "usb_free_urb" },
	{ 0x2dbca9a7, "usb_alloc_coherent" },
	{ 0xaf6e0a3e, "usb_alloc_urb" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xcc368e52, "vb2_vmalloc_memops" },
	{ 0xb49e42ec, "vb2_queue_init" },
	{ 0x4e712058, "v4l2_ctrl_handler_init_class" },
	{ 0xc3e7daa7, "v4l2_ctrl_new_std" },
	{ 0x1d0605d5, "v4l2_ctrl_auto_cluster" },
	{ 0x7dff78b9, "__v4l2_ctrl_grab" },
	{ 0xd129ad54, "v4l2_ctrl_handler_setup" },
	{ 0x36f9eb37, "v4l2_device_register" },
	{ 0xe0cbaf02, "video_device_release_empty" },
	{ 0x257640d, "__video_register_device" },
	{ 0x3a376715, "vb2_fop_read" },
	{ 0xec38c71, "vb2_fop_write" },
	{ 0x2ebc9adf, "vb2_fop_poll" },
	{ 0xffb1fcab, "video_ioctl2" },
	{ 0xb46578e2, "vb2_fop_mmap" },
	{ 0xbc2f5273, "v4l2_fh_open" },
	{ 0xd08ef496, "vb2_fop_release" },
	{ 0xaaf73a01, "vb2_ioctl_reqbufs" },
	{ 0x795026c5, "vb2_ioctl_querybuf" },
	{ 0x44f941d7, "vb2_ioctl_qbuf" },
	{ 0x1e8bd13c, "vb2_ioctl_expbuf" },
	{ 0x16679840, "vb2_ioctl_dqbuf" },
	{ 0xc245a0aa, "vb2_ioctl_create_bufs" },
	{ 0xde319273, "vb2_ioctl_prepare_buf" },
	{ 0xf8dfd310, "vb2_ioctl_streamon" },
	{ 0x7ad3659d, "vb2_ioctl_streamoff" },
	{ 0x9144738d, "v4l2_ctrl_log_status" },
	{ 0xe8397d99, "v4l2_ctrl_subscribe_event" },
	{ 0x5bcfd480, "v4l2_event_unsubscribe" },
	{ 0xc2b60613, "vb2_ops_wait_prepare" },
	{ 0x3121d92e, "vb2_ops_wait_finish" },
	{ 0x46418e14, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b013ba7, "usb_register_driver" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a03dc0, "v4l2_device_disconnect" },
	{ 0x4bc6d8d7, "video_unregister_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf023ec39, "v4l2_device_put" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0x7400e945, "v4l2_ctrl_handler_free" },
	{ 0x64ec36a2, "v4l2_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd2b18d5, "video_devdata" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xde3cd001, "vb2_buffer_done" },
	{ 0x69acdf38, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x389cd995, "vb2_plane_vaddr" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2981855a, "usb_submit_urb" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xb563d972, "_dev_notice" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa18e7e3, "usb_control_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cc79725, "usb_deregister" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-vmalloc,videobuf2-v4l2,videodev,videobuf2-common");

MODULE_ALIAS("usb:v1D50p6089d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B20E5B3B5898B7C0C2934A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
