#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb890d1, "skb_put" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0xdd04722, "skb_push" },
	{ 0xda735afb, "skb_checksum" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xfecc8b83, "ip_local_out" },
	{ 0xe6e895df, "__ip_select_ident" },
	{ 0x286ef2c8, "make_kuid" },
	{ 0x3e51e4d6, "dst_release" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8bed0c58, "__pskb_pull_tail" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x80afe71, "consume_skb" },
	{ 0xcd5a1718, "ipv6_mc_check_mld" },
	{ 0x7914bb73, "ip_mc_check_igmp" },
	{ 0x31f4aaf7, "udp_tunnel_xmit_skb" },
	{ 0x114ac874, "skb_copy_expand" },
	{ 0xe5bfb51e, "pskb_expand_head" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xe32fc05, "__dev_queue_xmit" },
	{ 0x5659c6b3, "__iptunnel_pull_header" },
	{ 0x786946a1, "gro_cells_receive" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2f7319e1, "icmp_ndo_send" },
	{ 0x232e710e, "ipv6_dev_get_saddr" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xee6c4b4f, "__netif_rx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x928accd4, "unregister_netdevice_queue" },
	{ 0xcd39f7d8, "netdev_upper_dev_unlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9954bc4c, "__dynamic_netdev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ef3504a, "dev_get_by_index" },
	{ 0x94404d11, "register_netdevice" },
	{ 0x66e59697, "netdev_upper_dev_link" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2129ae29, "udp_tunnel_sock_release" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xf5a9a83e, "gro_cells_init" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x426fdf5c, "rtnl_link_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6ef0e3c1, "rtnl_link_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92997ed8, "_printk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xeefc99bf, "udp_sock_create4" },
	{ 0x3582089, "setup_udp_tunnel_sock" },
	{ 0xafc9057a, "dev_addr_mod" },
	{ 0x6d2c475f, "ether_setup" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3787424f, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xf9eb033e, "security_sk_classify_flow" },
	{ 0xf8e4ff37, "ip_route_output_flow" },
	{ 0x6db73f0d, "__netdev_alloc_skb" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel");


MODULE_INFO(srcversion, "6C13CE306AAB5CB36FED889");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
