#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5b35cad, "octeon_free_sc_buffer_pool" },
	{ 0xcf11f2, "octeon_allocate_ioq_vector" },
	{ 0x8f12f0a3, "octeon_init_dispatch_list" },
	{ 0xbca5a319, "octeon_register_dispatch_fn" },
	{ 0x5457b8f9, "octeon_delete_instr_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x19cb4e69, "liquidio_link_ctrl_cmd_completion" },
	{ 0x7ad8785, "__netif_napi_del" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0x2468b9c1, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9637d09, "dev_driver_string" },
	{ 0xafc9057a, "dev_addr_mod" },
	{ 0x21d1eea7, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26de451, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x472f54a8, "octeon_setup_response_list" },
	{ 0x9cd7c7c9, "octeon_get_rx_qsize" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4578775, "octeon_allocate_device" },
	{ 0x796885b6, "octeon_free_ioq_vector" },
	{ 0x2fb6f676, "octeon_setup_interrupt" },
	{ 0x3a6f1d3, "netif_device_detach" },
	{ 0xd4d8cb92, "lio_process_iq_request_list" },
	{ 0x52d5bac1, "liquidio_setup_io_queues" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x66cc519c, "octeon_free_sc_done_list" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x48fc8bce, "octeon_get_tx_qsize" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37b5ac8a, "octeon_send_command" },
	{ 0x652129d4, "octeon_free_soft_command" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x525f0d, "softnet_data" },
	{ 0xca73c737, "octeon_free_sc_zombie_list" },
	{ 0x2a205f51, "octeon_alloc_soft_command" },
	{ 0x596734b6, "octeon_set_io_queues_off" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b477254, "pcie_flr" },
	{ 0xa054c163, "napi_enable" },
	{ 0xbf8b83e7, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x134e933a, "free_netdev" },
	{ 0xfcc82554, "liquidio_set_ethtool_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xce6e98f1, "octeon_delete_droq" },
	{ 0x8efb7a6c, "__put_devmap_managed_folio_refs" },
	{ 0x2644a39f, "octeon_delete_response_list" },
	{ 0xa711e2a1, "lio_process_ordered_list" },
	{ 0x34aadb16, "pci_restore_state" },
	{ 0x302c5451, "netif_tx_wake_queue" },
	{ 0xb678cf89, "octeon_delete_dispatch_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xbcb83c79, "octeon_droq_check_hw_for_pkts" },
	{ 0x241a2a6c, "lio_fetch_stats" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x842a0ddf, "lio_wait_for_instr_fetch" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5719963e, "dma_set_coherent_mask" },
	{ 0x999f128b, "lio_setup_glists" },
	{ 0x455bb1cc, "cn23xx_vf_ask_pf_to_do_flr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf0b9217, "octeon_alloc_soft_command_resp" },
	{ 0x4d7de768, "octeon_prepare_soft_command" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8d9dc6c7, "octeon_setup_instr_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6f6a1e8e, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99fefc8e, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc577cc0a, "netif_carrier_on" },
	{ 0x6feebc69, "octeon_unregister_droq_ops" },
	{ 0xdffe3934, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1a7d62b, "pci_disable_device" },
	{ 0x372f47e3, "liquidio_change_mtu" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0xe126d042, "netif_set_tso_max_size" },
	{ 0x6d0d28ef, "octeon_init_device_list" },
	{ 0xec7f00a5, "lio_get_state_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x82fe986b, "napi_disable" },
	{ 0x26d4cf34, "dev_kfree_skb_any_reason" },
	{ 0x27c536be, "param_ops_int" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x23270ac0, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x99ec7750, "pci_release_region" },
	{ 0xbb902dbe, "octeon_setup_sc_buffer_pool" },
	{ 0x43e139cd, "pci_write_config_dword" },
	{ 0x6e321026, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1a13efa4, "lio_delete_glists" },
	{ 0x65e00773, "octnet_send_nic_ctrl_pkt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc41f34b, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xeadc1584, "pci_save_state" },
	{ 0x3787424f, "dev_set_mtu" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcf3af524, "octeon_free_device_mem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7a71592e, "pci_cfg_access_unlock" },
	{ 0x87a2657b, "octeon_send_soft_command" },
	{ 0xff774c0a, "pcie_reset_flr" },
	{ 0xef18b61c, "cn23xx_setup_octeon_vf_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x79a847ed, "pci_enable_device" },
	{ 0x15697f4b, "setup_rx_oom_poll_fn" },
	{ 0x4e963b3f, "skb_tstamp_tx" },
	{ 0xd6c1ce6, "octnet_send_nic_data_pkt" },
	{ 0x3651ce92, "octeon_ring_doorbell_locked" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5bf66513, "lio_wait_for_clean_oq" },
	{ 0x1a3847cc, "octeon_setup_output_queues" },
	{ 0xee80f45a, "unregister_netdev" },
	{ 0x2af23669, "octeon_register_reqtype_free_fn" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf04eb2e5, "dma_unmap_page_attrs" },
	{ 0xb3bf56a5, "liquidio_set_feature" },
	{ 0xe974a47, "cleanup_rx_oom_poll_fn" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0x7d945a9c, "cn23xx_octeon_pfvf_handshake" },
	{ 0xedc03953, "iounmap" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "liquidio-core");

MODULE_ALIAS("pci:v0000177Dd00009712sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DA8FB1B92CB3B1EB545DC4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
