#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x26647b1c, "");
SYMBOL_CRC(phy_get_rate_matching, 0x36ba4a79, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x98b2bf79, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xe1960836, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x676d5837, "");
SYMBOL_CRC(phy_mii_ioctl, 0x516ea56d, "");
SYMBOL_CRC(phy_do_ioctl, 0x00d7ea9f, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xc6ff94f0, "");
SYMBOL_CRC(phy_queue_state_machine, 0xd3707396, "");
SYMBOL_CRC(phy_trigger_machine, 0x26301793, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x02dd2ab7, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x2b50b318, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xa96b0d09, "");
SYMBOL_CRC(phy_start_cable_test, 0x051d5f57, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xd4fe6c60, "");
SYMBOL_CRC(phy_config_aneg, 0x0ce17c26, "");
SYMBOL_CRC(_phy_start_aneg, 0x027b3137, "");
SYMBOL_CRC(phy_start_aneg, 0xd9bfaf54, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x58dbcb69, "");
SYMBOL_CRC(phy_speed_down, 0x9901cefd, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x9ce8b71f, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x2478a96d, "_gpl");
SYMBOL_CRC(phy_error, 0x03d408f9, "");
SYMBOL_CRC(phy_request_interrupt, 0x7815a6da, "");
SYMBOL_CRC(phy_free_interrupt, 0x9e56c89f, "");
SYMBOL_CRC(phy_stop, 0x0bd250aa, "");
SYMBOL_CRC(phy_start, 0x6f437918, "");
SYMBOL_CRC(phy_mac_interrupt, 0x9352e8ef, "");
SYMBOL_CRC(phy_init_eee, 0x6968f4a1, "");
SYMBOL_CRC(phy_get_eee_err, 0xd246cafe, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x5c438e53, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x4107dbb8, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x4f393198, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x96725589, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x1c11bfcf, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x86a08920, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xf27185cd, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x24876ca9, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x6bb7a744, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x1c6f37b9, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x9a42e90b, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x77c214c1, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xb0d8fcee, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xc93a8f58, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x54de53a9, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x59de5d8a, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x48ac4c55, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xd199ccbc, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x3f179811, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x0ffb129d, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x936b651a, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xf5bed5fa, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xc66e9a56, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x85fa2187, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xcd961eb8, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xe4e0b0a7, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x692ed7ce, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xa9762e35, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x4117439d, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xcd9ddb60, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x45923761, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x94dc2c57, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xbb1f236c, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x2262aa92, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xc29084e1, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x0b22edb9, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x7da8f0ae, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xd2794891, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xc55748cc, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x149e3c55, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x884c5fcd, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xf4b29236, "");
SYMBOL_CRC(phy_read_mmd, 0x44c41365, "");
SYMBOL_CRC(__phy_write_mmd, 0x5c9434ce, "");
SYMBOL_CRC(phy_write_mmd, 0xf0a55b6c, "");
SYMBOL_CRC(__phy_package_read_mmd, 0x4bab4a2f, "");
SYMBOL_CRC(phy_package_read_mmd, 0x2e080d60, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xc101d0de, "");
SYMBOL_CRC(phy_package_write_mmd, 0x5a600ded, "");
SYMBOL_CRC(phy_modify_changed, 0x9fcd9cfd, "_gpl");
SYMBOL_CRC(__phy_modify, 0xdc0faee5, "_gpl");
SYMBOL_CRC(phy_modify, 0x574412e2, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x787b61d6, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x6be5e88e, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x84a1e317, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x36cbab54, "_gpl");
SYMBOL_CRC(phy_save_page, 0x82c7f1e5, "_gpl");
SYMBOL_CRC(phy_select_page, 0x7f6b0da1, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xddb20e92, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x0939356d, "");
SYMBOL_CRC(phy_write_paged, 0xf1d5d71e, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x95c2a3b3, "");
SYMBOL_CRC(phy_modify_paged, 0xed6f3ab1, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0xe904398a, "");
SYMBOL_CRC(phy_register_fixup, 0xa5abe67c, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xb4e2b412, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xdc57e44e, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xea7d7061, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x148b6fbb, "");
SYMBOL_CRC(get_phy_device, 0xbeeab0c0, "");
SYMBOL_CRC(phy_device_register, 0x830b5ffb, "");
SYMBOL_CRC(phy_device_remove, 0x30e6c5c9, "");
SYMBOL_CRC(phy_get_c45_ids, 0x4ee3b2c4, "");
SYMBOL_CRC(phy_find_first, 0xccbb66ad, "");
SYMBOL_CRC(phy_connect_direct, 0xe332db36, "");
SYMBOL_CRC(phy_connect, 0xa6a6a630, "");
SYMBOL_CRC(phy_disconnect, 0x543acec8, "");
SYMBOL_CRC(phy_init_hw, 0x94bf68b4, "");
SYMBOL_CRC(phy_attached_info, 0x54810a60, "");
SYMBOL_CRC(phy_attached_info_irq, 0xc5660c83, "");
SYMBOL_CRC(phy_attached_print, 0x8230df2b, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xe9f67b39, "");
SYMBOL_CRC(phy_attach_direct, 0x3cd3015a, "");
SYMBOL_CRC(phy_attach, 0xadf7cf90, "");
SYMBOL_CRC(phy_driver_is_genphy, 0xde6b606f, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x1713a468, "_gpl");
SYMBOL_CRC(phy_package_join, 0x2d2802c3, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x6af41b31, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xd05131b1, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xa136a4b7, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x5e83c0b9, "_gpl");
SYMBOL_CRC(phy_detach, 0xdc7ee80d, "");
SYMBOL_CRC(phy_suspend, 0xe35b8948, "");
SYMBOL_CRC(__phy_resume, 0xc25ca8fc, "");
SYMBOL_CRC(phy_resume, 0x668ff082, "");
SYMBOL_CRC(phy_loopback, 0x2e37864d, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xec3bf755, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x7a55db11, "");
SYMBOL_CRC(genphy_setup_forced, 0x5491ff10, "");
SYMBOL_CRC(genphy_read_master_slave, 0x73e76ecd, "");
SYMBOL_CRC(genphy_restart_aneg, 0x2e43331d, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xc198b055, "");
SYMBOL_CRC(__genphy_config_aneg, 0xec6fe4a5, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x57d1af5f, "");
SYMBOL_CRC(genphy_aneg_done, 0xd07382dc, "");
SYMBOL_CRC(genphy_update_link, 0x60e64ee0, "");
SYMBOL_CRC(genphy_read_lpa, 0x6545a588, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x5d66caa5, "");
SYMBOL_CRC(genphy_read_status, 0x7842634b, "");
SYMBOL_CRC(genphy_c37_read_status, 0xb4ae1dc8, "");
SYMBOL_CRC(genphy_soft_reset, 0xd1b79504, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x725dd24b, "");
SYMBOL_CRC(genphy_read_abilities, 0xf5a5e29c, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x602305f7, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xf62614dc, "");
SYMBOL_CRC(genphy_suspend, 0xefb954cf, "");
SYMBOL_CRC(genphy_resume, 0x32494f49, "");
SYMBOL_CRC(genphy_loopback, 0x23a13f83, "");
SYMBOL_CRC(phy_remove_link_mode, 0x80c84960, "");
SYMBOL_CRC(phy_advertise_supported, 0x7375d0ed, "");
SYMBOL_CRC(phy_advertise_eee_all, 0xca1b6006, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x3dadf878, "");
SYMBOL_CRC(phy_support_sym_pause, 0xa490282e, "");
SYMBOL_CRC(phy_support_asym_pause, 0x4d226595, "");
SYMBOL_CRC(phy_set_sym_pause, 0xd1f126d1, "");
SYMBOL_CRC(phy_set_asym_pause, 0xc02577e0, "");
SYMBOL_CRC(phy_validate_pause, 0xdfbd7481, "");
SYMBOL_CRC(phy_get_pause, 0x7bd6d303, "");
SYMBOL_CRC(phy_get_internal_delay, 0x3771ab58, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x6a4780b2, "");
SYMBOL_CRC(fwnode_phy_find_device, 0xb20e88e2, "");
SYMBOL_CRC(device_phy_find_device, 0x99adabd9, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x68bd02ad, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x5099eeeb, "");
SYMBOL_CRC(phy_drivers_register, 0xda94510b, "");
SYMBOL_CRC(phy_driver_unregister, 0x6a765a8a, "");
SYMBOL_CRC(phy_drivers_unregister, 0xe52253a5, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xfd513aa4, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xb29e3f1b, "");
SYMBOL_CRC(mdiobus_get_phy, 0x96ae1bf3, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x7451d2e3, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x1e05f75d, "");
SYMBOL_CRC(mdio_find_bus, 0x40627b88, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xe716fb46, "");
SYMBOL_CRC(__mdiobus_register, 0x5e8800e0, "");
SYMBOL_CRC(mdiobus_unregister, 0x74307a01, "");
SYMBOL_CRC(mdiobus_free, 0xb71621b5, "");
SYMBOL_CRC(__mdiobus_read, 0x735c5ad0, "");
SYMBOL_CRC(__mdiobus_write, 0x91e28c9e, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xa0c6bef1, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x36543a4f, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xc518fe2e, "");
SYMBOL_CRC(mdiobus_read_nested, 0x02a9bb5c, "");
SYMBOL_CRC(mdiobus_read, 0x9eddcefe, "");
SYMBOL_CRC(mdiobus_c45_read, 0x0d5f588d, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xbfaa7fca, "");
SYMBOL_CRC(mdiobus_write_nested, 0x54ba48a4, "");
SYMBOL_CRC(mdiobus_write, 0x20049acd, "");
SYMBOL_CRC(mdiobus_c45_write, 0x8b5c906c, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x0fa058fc, "");
SYMBOL_CRC(__mdiobus_modify, 0xa2244607, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x67cc4f2b, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x9f789582, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x4065727f, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x14afb8f2, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x6455c441, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x8c0e40c7, "");
SYMBOL_CRC(mdio_device_create, 0x12a8ebd4, "");
SYMBOL_CRC(mdio_device_register, 0x18f5ac81, "");
SYMBOL_CRC(mdio_device_remove, 0x55d46789, "");
SYMBOL_CRC(mdio_device_reset, 0x50191129, "");
SYMBOL_CRC(mdio_driver_register, 0x78bc7a90, "");
SYMBOL_CRC(mdio_driver_unregister, 0xbb8a8a52, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xdd768401, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x5149d170, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xcb763656, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37633b97, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x461e4772, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x9c9f99fb, "__trace_trigger_soft_disabled" },
	{ 0xe96a6f2f, "gpiod_set_value_cansleep" },
	{ 0x9932d068, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x167367b2, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xcd2c3027, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4b391eff, "devm_gpiod_get_optional" },
	{ 0xe0dfc67c, "get_device" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0x652f8995, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x18f7fa8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x785f17ff, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x360685cc, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xace5ad00, "put_device" },
	{ 0x144ac3e, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x9f6f24f6, "module_put" },
	{ 0x55b1640e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x17ead895, "perf_trace_run_bpf_submit" },
	{ 0x77e31827, "bus_unregister" },
	{ 0x764752b5, "devm_kfree" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x61f3fd9e, "bus_find_device" },
	{ 0xa53d0c20, "device_add" },
	{ 0x8ea4e912, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x59d82b0, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x36e925c, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x173e1037, "is_acpi_data_node" },
	{ 0xaf1a34, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x1f0f7046, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x6f5843cc, "class_unregister" },
	{ 0xb865fa2a, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x17ce9d67, "device_register" },
	{ 0x9eca978a, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xedc4a09a, "device_bind_driver" },
	{ 0x207b218e, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc2510a5d, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59e1711d, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6aa3e615, "netdev_alert" },
	{ 0x8a9850f9, "ethnl_cable_test_alloc" },
	{ 0x3d8e8e3d, "fwnode_find_reference" },
	{ 0x551f044b, "fwnode_property_read_string" },
	{ 0x6503c895, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa400bcb2, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x22ff5ac, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99fefc8e, "netif_carrier_off" },
	{ 0x630b37f1, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x68eb61eb, "led_trigger_register" },
	{ 0xc577cc0a, "netif_carrier_on" },
	{ 0xde7c6e48, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66020355, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x13cad521, "sysfs_create_link_nowarn" },
	{ 0xbc8865b2, "dev_err_probe" },
	{ 0x53e60e50, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x7f875ff2, "led_trigger_event" },
	{ 0xdff5959e, "device_release_driver" },
	{ 0xc62448b2, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x41089fd3, "gpiod_set_consumer_name" },
	{ 0xb2103044, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x49b20566, "driver_register" },
	{ 0xeb7b74a1, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x71506f9b, "__dev_fwnode" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x6e321026, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1f52e4fd, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x3afe2989, "class_find_device" },
	{ 0x59f948ae, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x53f76f11, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe971e3f6, "is_acpi_device_node" },
	{ 0x50a73ed8, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0x7c1724d4, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8c5165c6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x48051dee, "trace_raw_output_prep" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E7FC2F235DBDFEAA7E3E1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
