#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bed0c58, "__pskb_pull_tail" },
	{ 0xdd04722, "skb_push" },
	{ 0x114ac874, "skb_copy_expand" },
	{ 0x26d4cf34, "dev_kfree_skb_any_reason" },
	{ 0xb45e14ff, "eth_mac_addr" },
	{ 0x788d7bf0, "usb_autopm_get_interface" },
	{ 0xf63d2c15, "usb_autopm_put_interface" },
	{ 0x322db24c, "usbnet_read_cmd" },
	{ 0x99fefc8e, "netif_carrier_off" },
	{ 0x9f3472e2, "usbnet_read_cmd_nopm" },
	{ 0xe271158f, "usbnet_resume" },
	{ 0xbdecf0d, "usb_reset_configuration" },
	{ 0xf22f72b7, "usbnet_get_endpoints" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0xafc9057a, "dev_addr_mod" },
	{ 0xe126d042, "netif_set_tso_max_size" },
	{ 0x528f33f1, "usb_driver_set_configuration" },
	{ 0xab3091f0, "usbnet_suspend" },
	{ 0x6e321026, "netdev_info" },
	{ 0xc577cc0a, "netif_carrier_on" },
	{ 0xe1b8ed92, "usbnet_probe" },
	{ 0xd4d9c9b6, "usbnet_disconnect" },
	{ 0xe8d7fb04, "usbnet_open" },
	{ 0x153e026e, "usbnet_stop" },
	{ 0x22985ee2, "usbnet_start_xmit" },
	{ 0xe8f3e3aa, "eth_validate_addr" },
	{ 0x9e8fa064, "usbnet_tx_timeout" },
	{ 0xd55010f4, "dev_get_tstats64" },
	{ 0x13532afa, "usbnet_get_msglevel" },
	{ 0x95233ed0, "usbnet_set_msglevel" },
	{ 0x9751567, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a061f68, "skb_trim" },
	{ 0x6db73f0d, "__netdev_alloc_skb" },
	{ 0xfb890d1, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0x87e2f08b, "usbnet_skb_return" },
	{ 0xd3b8b64f, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1b013ba7, "usb_register_driver" },
	{ 0x5cc79725, "usb_deregister" },
	{ 0xcf616b25, "usbnet_defer_kevent" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa18e7e3, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x9954bc4c, "__dynamic_netdev_dbg" },
	{ 0xfbfd4d88, "netdev_warn" },
	{ 0xf40f011, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "172268A03866A3FB25A1900");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
