#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xf3434b00, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x5c6186ba, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xc22877f0, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x5e029a50, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x525f5807, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x24cfccbc, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x3f0d27f8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xa69dd6ca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x101baf6c, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x3251c272, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x76606ea9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x1fe1c3ff, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xee36898f, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xf3090821, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xd1f408ce, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x4490b7b6, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x46b202b7, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x617613e5, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xbd6a04df, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x0b999a4a, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x335795ba, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xbdd4c2d6, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xafb6fb24, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x80fc757a, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x96925706, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xeb507b16, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x9cf5eb50, "_gpl");
SYMBOL_CRC(mt76_rx, 0x55071844, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xc7892c24, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xe51ca8d9, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x56c57cc8, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xd7425401, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xe985d84f, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xfce3f977, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xad6cf855, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xbfe8b721, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x694c6b9b, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x36a6b094, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x98a9eec8, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x8a29b182, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x7984ffc0, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xd282fbae, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xe768f833, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xd28ceb35, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xef233907, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xa3e3d835, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x403ca70d, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x8dd571db, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xe5521d50, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x631710e1, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x2f703962, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xdc93534d, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xc68a9612, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xd49fbec9, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xf2d6e53e, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x5b642368, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x56aa3f23, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x78a6e9f9, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xd5810cf2, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xc4c8d580, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x06a77ff5, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x4d38a5d0, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x7fce6cbd, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x6c7e9a9c, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x362d83f9, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xe40a9d01, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x750e7c21, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x6f065ab3, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xf3c05157, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xc7a2fbeb, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x950454ae, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xf3d78ea4, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x17dd0c40, "_gpl");
SYMBOL_CRC(mt76_tx, 0x4d5ec162, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xb0d121ba, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x70ff82ec, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x001feef4, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x8cb1b6a4, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xbccb4ed7, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x3556df1e, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x6846c92b, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xcd6a7181, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x4cb45d61, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x3ac67ed0, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x17a2b698, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xa951c725, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x72d0fa18, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xd0aec08d, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x6dce2136, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xef9ca909, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x05bc5aff, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x7e106b05, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x3e16129a, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xf5a2be4c, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xf051777a, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x63a092f3, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x1befef49, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x1708c668, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x26ff6551, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c6baf08, "ieee80211_tx_status_ext" },
	{ 0x183a55a7, "debugfs_create_blob" },
	{ 0xcd2c3027, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x9dcaf9eb, "page_pool_destroy" },
	{ 0xa055d43a, "ieee80211_register_hw" },
	{ 0xd83e580f, "led_classdev_unregister" },
	{ 0x9b6a5fa9, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x47fa00d9, "ieee80211_sta_eosp" },
	{ 0x4daca017, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7ad8785, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb47e6ff7, "kthread_park" },
	{ 0x6de0fbcd, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4467b862, "wake_up_process" },
	{ 0xe9637d09, "dev_driver_string" },
	{ 0x18f7fa8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26de451, "dma_map_page_attrs" },
	{ 0xf1ea142e, "napi_complete_done" },
	{ 0x26986c52, "ieee80211_get_tx_rates" },
	{ 0x7587801f, "ieee80211_send_bar" },
	{ 0x8d9c91e3, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x77dbacfb, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf51db430, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x3523f2f2, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xaa2a8970, "const_pcpu_hot" },
	{ 0x70dd4a83, "pci_disable_link_state" },
	{ 0x82e547b6, "_dev_info" },
	{ 0xd49c8d36, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x7be8604c, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x7194c57f, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x64d225f5, "debugfs_attr_read" },
	{ 0x69fb8466, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa47e11fa, "ieee80211_queue_delayed_work" },
	{ 0x1975ef48, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x17ead895, "perf_trace_run_bpf_submit" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xc6950a7c, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8a990e5d, "simple_attr_release" },
	{ 0xaf699f69, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3f7a4a1, "ieee80211_find_sta_by_ifaddr" },
	{ 0x32e66769, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbcce899f, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdd04722, "skb_push" },
	{ 0xa054c163, "napi_enable" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x3491cf5a, "seq_putc" },
	{ 0x36e925c, "trace_event_reg" },
	{ 0x9a9ad9c7, "ieee80211_sta_pspoll" },
	{ 0x134e933a, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8e56f56d, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf7ed7b31, "kthread_stop" },
	{ 0xf9f6e50d, "ieee80211_free_txskb" },
	{ 0x7e20f93, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x57d3e8c7, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x24d600fd, "ieee80211_tx_dequeue" },
	{ 0x3d49fa22, "ieee80211_rx_list" },
	{ 0xc0e4c90d, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x387ee6a0, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46712021, "kthread_create_on_node" },
	{ 0xb4934de5, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x69934660, "alloc_netdev_dummy" },
	{ 0x6503c895, "trace_event_buffer_reserve" },
	{ 0xb6feae62, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6ee1288f, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54018748, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x24ef15b4, "napi_build_skb" },
	{ 0xd48045a, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7488afa, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf44e74e0, "skb_add_rx_frag_netmem" },
	{ 0x81e12b6f, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcbe0bd5, "debugfs_create_u8" },
	{ 0xcd8a18ec, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3e6a1468, "pcie_capability_read_word" },
	{ 0x2b89de24, "__skb_pad" },
	{ 0x73ee1f0b, "page_pool_get_stats" },
	{ 0xeae89215, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4dfb37d3, "__ieee80211_schedule_txq" },
	{ 0x66539713, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xfb890d1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51da686a, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x80afe71, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8bcba481, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x39cb0044, "dmam_alloc_attrs" },
	{ 0x48051dee, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x6ed291c9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c9f99fb, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe20994c9, "ieee80211_free_hw" },
	{ 0xf04eb2e5, "dma_unmap_page_attrs" },
	{ 0xa87566ca, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9932d068, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F811907DB6945EEE72CB52F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
