#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10ce4773, "wlcore_tx_complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5bad5e3e, "wlcore_free_hw" },
	{ 0xb1492baa, "wlcore_event_soft_gemini_sense" },
	{ 0x1fb01c3b, "wlcore_scan_sched_scan_results" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6af18076, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x87255ad7, "wlcore_remove" },
	{ 0x75959c0b, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c41974a, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa47e11fa, "ieee80211_queue_delayed_work" },
	{ 0xbd85e34c, "simple_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7308f13e, "wl1271_cmd_test" },
	{ 0xa33f3820, "wlcore_enable_interrupts" },
	{ 0xbf0c427c, "wlcore_set_partition" },
	{ 0x8210ee46, "wl1271_acx_sleep_auth" },
	{ 0xd6506da0, "wlcore_boot_upload_firmware" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x528d0510, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47624bcd, "wl12xx_acx_mem_cfg" },
	{ 0x74566af6, "wl1271_cmd_data_path" },
	{ 0xc650f11e, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb330917e, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x87a9cefc, "__platform_driver_register" },
	{ 0xacf16fe2, "wl1271_acx_set_ht_capabilities" },
	{ 0x128f441b, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x56487819, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x18964673, "wlcore_probe" },
	{ 0xa72f6d24, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x10883ada, "wlcore_event_rssi_trigger" },
	{ 0xffe66e73, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb62f80ee, "wl1271_acx_pm_config" },
	{ 0x3b29bc97, "wlcore_event_ba_rx_constraint" },
	{ 0xc12f051a, "wlcore_event_inactive_sta" },
	{ 0x84ed8b64, "wlcore_event_dummy_packet" },
	{ 0xb011b82, "wlcore_event_beacon_loss" },
	{ 0xcd8a18ec, "debugfs_create_dir" },
	{ 0x59cb53d9, "generic_file_llseek" },
	{ 0x6ce8cc81, "wl1271_acx_init_mem_config" },
	{ 0x889f40da, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x35c73e7c, "wlcore_boot_upload_nvs" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x464f33f8, "wl12xx_cmd_build_probe_req" },
	{ 0x75bfd2ad, "wl1271_tx_min_rate_get" },
	{ 0x1a3dd5ae, "wl1271_cmd_send" },
	{ 0xee4b3185, "platform_driver_unregister" },
	{ 0x19ddf491, "wlcore_event_roc_complete" },
	{ 0x18b8ac65, "wlcore_scan_sched_scan_ssid_list" },
	{ 0xc52eeb49, "wlcore_translate_addr" },
	{ 0x9e70c7e, "wlcore_boot_run_firmware" },
	{ 0x960338c9, "wlcore_set_scan_chan_params" },
	{ 0x1e7b586c, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "364EB5A6328106185E686BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
