#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x503da520, "blk_mq_free_request" },
	{ 0x45b00245, "nvme_change_ctrl_state" },
	{ 0x92c37ad4, "nvme_cancel_tagset" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x3daeb9cc, "dma_opt_mapping_size" },
	{ 0x3bd58156, "pci_select_bars" },
	{ 0x6b7e35df, "nvme_init_ctrl" },
	{ 0xbb20aa10, "nvme_alloc_io_tag_set" },
	{ 0xbf8f175e, "nvme_fail_nonready_command" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x4f5653e7, "nvme_dev_attrs_group" },
	{ 0x4a21a61c, "sysfs_update_group" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x1fe587a4, "pci_request_irq" },
	{ 0xb17fb935, "pci_load_saved_state" },
	{ 0x39e3c2bd, "blk_execute_rq_nowait" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xce4a3504, "pci_device_is_present" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0x1a7bebfb, "pci_read_config_word" },
	{ 0xe4f790fe, "acpi_storage_d3" },
	{ 0xafd0367f, "__blk_rq_map_sg" },
	{ 0x625e058c, "nvme_remove_namespaces" },
	{ 0x9647378, "blk_mq_alloc_request" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0x34aadb16, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7bc8416f, "nvme_enable_ctrl" },
	{ 0xa194afd6, "nvme_unquiesce_admin_queue" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x92ba4eeb, "nvme_try_sched_reset" },
	{ 0xfb578fc5, "memset" },
	{ 0x207b218e, "_dev_warn" },
	{ 0xcaa8726b, "__kmalloc_cache_node_noprof" },
	{ 0xc2db0771, "pci_alloc_irq_vectors_affinity" },
	{ 0x5043ef58, "pci_p2pmem_publish" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x5719963e, "dma_set_coherent_mask" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xe8b94b8a, "nvme_unquiesce_io_queues" },
	{ 0x3a59b37, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4809d2c7, "__SCK__tp_func_nvme_sq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0x5f2ddabb, "param_set_uint_minmax" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0x876ef303, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x46418e14, "param_ops_bool" },
	{ 0xa99fdfe9, "nvme_complete_async_event" },
	{ 0xbcb276db, "nvme_mark_namespaces_dead" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x13de1bbe, "nvme_set_queue_count" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x5ce7b7e6, "blk_op_str" },
	{ 0x963a4fdc, "nvme_set_features" },
	{ 0x75fbe67e, "blk_mq_start_request" },
	{ 0x43c9184c, "nvme_quiesce_io_queues" },
	{ 0xd652f840, "nvme_unfreeze" },
	{ 0x1a7d62b, "pci_disable_device" },
	{ 0xc9fb7c05, "nvme_stop_ctrl" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0x3bf2393a, "__SCT__tp_func_nvme_sq" },
	{ 0x8b471d77, "nvme_wait_reset" },
	{ 0x78f1a462, "pci_p2pmem_virt_to_bus" },
	{ 0xad8c2325, "dma_unmap_sg_attrs" },
	{ 0x9f3b12b8, "nvme_init_request" },
	{ 0x54e94aa2, "pci_sriov_configure_simple" },
	{ 0x27c536be, "param_ops_int" },
	{ 0x49b59615, "pci_free_p2pmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa5a87e7, "nvme_init_ctrl_finish" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x52c624a5, "pci_free_irq_vectors" },
	{ 0xce567420, "nvme_quiesce_admin_queue" },
	{ 0x60b67c45, "nvme_get_features" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3e5663f8, "__nvme_check_ready" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xadd39ffa, "nvme_add_ctrl" },
	{ 0xc0967703, "nvme_remove_admin_tag_set" },
	{ 0x34bd5128, "__do_once_done" },
	{ 0xeadc1584, "pci_save_state" },
	{ 0xa1e3145d, "pcie_aspm_enabled" },
	{ 0x8ae62f53, "dma_pci_p2pdma_supported" },
	{ 0xa947010e, "nvme_uninit_ctrl" },
	{ 0x32336834, "param_ops_uint" },
	{ 0xe42d023d, "dma_pool_create" },
	{ 0xbb749c87, "nvme_complete_rq" },
	{ 0xfdbe8ec1, "pci_request_selected_regions" },
	{ 0x7cdc282, "pci_release_selected_regions" },
	{ 0x606de6dd, "nvme_wait_freeze_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe1d62319, "pci_enable_device_mem" },
	{ 0xc1f5b9ad, "pci_alloc_irq_vectors" },
	{ 0x92cb2880, "nvme_cancel_admin_tagset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc501aa24, "__kmalloc_node_noprof" },
	{ 0xd45434ee, "admin_timeout" },
	{ 0x4ecf3ddc, "blk_mq_complete_request_remote" },
	{ 0xf04eb2e5, "dma_unmap_page_attrs" },
	{ 0x866c6197, "nvme_setup_cmd" },
	{ 0x67f470ac, "nvme_start_freeze" },
	{ 0x568e199e, "pci_alloc_p2pmem" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0xdf11a507, "nvme_start_ctrl" },
	{ 0xbe360630, "pcibios_resource_to_bus" },
	{ 0xedc03953, "iounmap" },
	{ 0x1ee82ad9, "nvme_alloc_admin_tag_set" },
	{ 0x23d54ca5, "param_set_uint" },
	{ 0x22af9709, "nvme_complete_batch_req" },
	{ 0x6bc518e6, "nvme_submit_sync_cmd" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x8810cfd8, "pci_irq_vector" },
	{ 0xe0dfc67c, "get_device" },
	{ 0xa2b34bc1, "pci_p2pdma_add_resource" },
	{ 0xb031e55a, "nvme_disable_ctrl" },
	{ 0x811c0ce3, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x7fa00050, "blk_mq_end_request_batch" },
	{ 0x26de451, "dma_map_page_attrs" },
	{ 0x39f34313, "blk_mq_pci_map_queues" },
	{ 0xa6515de4, "nvme_wait_freeze" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb8daa476, "nvme_remove_io_tag_set" },
	{ 0xfaaa28e3, "nvme_cleanup_cmd" },
	{ 0xb4b592e1, "param_get_uint" },
	{ 0xb5e2252, "nvme_sync_queues" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0117745, "nvme_mpath_start_request" },
	{ 0xace5ad00, "put_device" },
	{ 0xc4ab76ab, "pci_free_irq" },
	{ 0xf90c42a3, "__tracepoint_nvme_sq" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");

MODULE_ALIAS("pci:v00008086d00000953sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000A53sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000A54sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000A55sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000F1A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000F1A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005845sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B36d00000010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000126Fd00002262sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000126Fd00002263sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001BB1d00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C58d00000003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C58d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C5Fd00000540sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000A821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000A822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B7d00005008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001987d00005012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001987d00005016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001987d00005019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001987d00005021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B4Bd00001092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001CC1d000033F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001CC1d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005407sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00006001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C5Cd00001504sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C5Cd0000174Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C5Cd00001D59sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B7d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D97d00002263sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000A80Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000A809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000A802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001CC4d00006303sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001CC4d00006302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d00002262sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d00002263sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d00005013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d00005018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d00005016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d0000501Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d0000501Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00002646d0000501Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001F40d00001202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001F40d00005236sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E4Bd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E4Bd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E4Bd00001202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E4Bd00001602sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001CC1d00005350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DBEd00005236sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E49d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E49d00000041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000C0A9d0000540Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D97d00002263sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D97d00001D97sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D97d00002269sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001E4Bd00001602sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005765sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd00000061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd00000065sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd00008061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd0000CD00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd0000CD01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd0000CD02sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000106Bd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000106Bd00002003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000106Bd00002005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc01sc08i02*");

MODULE_INFO(srcversion, "9705DD7DDB3CD654FA049E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
