#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa055d43a, "ieee80211_register_hw" },
	{ 0xb9f36af6, "ieee80211_emulate_change_chanctx" },
	{ 0xa42dd8e2, "dev_kfree_skb_irq_reason" },
	{ 0x4daca017, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8387f1cc, "__dynamic_dev_dbg" },
	{ 0xed9b12e2, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9637d09, "dev_driver_string" },
	{ 0x26de451, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe89cc422, "ieee80211_handle_wake_tx_queue" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf4566a29, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x82e547b6, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfb4c6980, "device_wakeup_disable" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0xe9e907dc, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x833befca, "dma_alloc_attrs" },
	{ 0x28fece7e, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf9f6e50d, "ieee80211_free_txskb" },
	{ 0x57d3e8c7, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xc9f66465, "ieee80211_emulate_add_chanctx" },
	{ 0xd1f15f3f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5f08c11, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6db73f0d, "__netdev_alloc_skb" },
	{ 0x3c404002, "ieee80211_stop_queues" },
	{ 0x9a061f68, "skb_trim" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb563d972, "_dev_notice" },
	{ 0x4e63d866, "dma_free_attrs" },
	{ 0xf0b833f1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54018748, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0007b95, "ieee80211_beacon_get_tim" },
	{ 0xf0a414fe, "dma_set_mask" },
	{ 0x8b77970d, "ieee80211_emulate_remove_chanctx" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xcea2b73b, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xec415c46, "ieee80211_queue_stopped" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x79a847ed, "pci_enable_device" },
	{ 0xfb890d1, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x80afe71, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe20994c9, "ieee80211_free_hw" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xf04eb2e5, "dma_unmap_page_attrs" },
	{ 0x7095e7cb, "ieee80211_get_tkip_p2k" },
	{ 0x58f01524, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x3c26cc84, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");

MODULE_ALIAS("pci:v00001106d00003253sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "77A6BFC44B10E674B491186");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
