#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0x440dc44c, "_gpl");
SYMBOL_CRC(esp_output_tail, 0xba043188, "_gpl");
SYMBOL_CRC(esp_input_done2, 0xcb1a3b50, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b7b4a6, "crypto_aead_setauthsize" },
	{ 0x925e029d, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x68448c03, "xfrm_state_lookup" },
	{ 0xa8930273, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf37daef, "__xfrm_state_destroy" },
	{ 0x2f5a7d6d, "ipv4_update_pmtu" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7a5157f, "sk_free" },
	{ 0x887e3639, "skb_copy_bits" },
	{ 0x2865d609, "km_new_mapping" },
	{ 0xfc234bc7, "skb_pull_rcsum" },
	{ 0xda735afb, "skb_checksum" },
	{ 0x95cba573, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaa39a937, "xfrm_input_resume" },
	{ 0x7907d4b2, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x737f6557, "skb_to_sgvec" },
	{ 0x623c67c3, "crypto_aead_decrypt" },
	{ 0xdd04722, "skb_push" },
	{ 0x8bed0c58, "__pskb_pull_tail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6f6a1e8e, "__folio_put" },
	{ 0x8efb7a6c, "__put_devmap_managed_folio_refs" },
	{ 0xd40c03ef, "xfrm_dev_resume" },
	{ 0xf0f58aff, "xfrm_output_resume" },
	{ 0x8697a269, "__skb_ext_del" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0x42e74413, "pcpu_hot" },
	{ 0xe929df20, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe34bf558, "__inet_lookup_established" },
	{ 0x1dc56f98, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac5709d5, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x62542e0f, "espintcp_queue_out" },
	{ 0x131dae8b, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c0c9463, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa07ea39e, "crypto_aead_encrypt" },
	{ 0xc3de457b, "xfrm_state_mtu" },
	{ 0x5ea966ef, "xfrm4_rcv" },
	{ 0x9f9347c2, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdb7bb34c, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8b9c986, "xfrm4_protocol_register" },
	{ 0xb6b9b5f7, "xfrm_unregister_type" },
	{ 0x910b911d, "crypto_destroy_tfm" },
	{ 0xc08d85d1, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1a3f39c4, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "276AA3A6F6C35A6A156F8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
