#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0x0d5c665c, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x34847350, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0xa0e3d819, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x030cbc6f, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x435558a9, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x4107917a, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xe783319d, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x253ca3cd, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x1161e025, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x53f76f11, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0xe5bfb51e, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f6f24f6, "module_put" },
	{ 0xa81cd844, "__netlink_dump_start" },
	{ 0x6f63e6b6, "sock_diag_unregister" },
	{ 0x3c023ce8, "sock_diag_unregister_inet_compat" },
	{ 0x2409fe7b, "kmalloc_caches" },
	{ 0xb264c52a, "__kmalloc_cache_noprof" },
	{ 0x15291c69, "sock_diag_register" },
	{ 0xf4fdbecd, "sock_diag_register_inet_compat" },
	{ 0x3961873c, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0xf44506ce, "inet6_lookup" },
	{ 0x75f72d2a, "sock_diag_check_cookie" },
	{ 0x6baeb669, "sock_gen_put" },
	{ 0xe34bf558, "__inet_lookup_established" },
	{ 0xf481d62b, "__inet_lookup_listener" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x569e1806, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6f348d2, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2d1bc386, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0xea55fe28, "nla_reserve_64bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3523f2f2, "__alloc_skb" },
	{ 0x680d27b9, "sk_skb_reason_drop" },
	{ 0x1efffb0, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe7a5157f, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x599d3ec6, "sock_diag_save_cookie" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x623c285e, "sock_i_uid" },
	{ 0xc4055b, "from_kuid_munged" },
	{ 0x4092f568, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a061f68, "skb_trim" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9598517336DDA390B6C2D84");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
