#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tasdevice_dev_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_update_bits, "_gpl", "");
KSYMTAB_FUNC(tasdevice_kzalloc, "_gpl", "");
KSYMTAB_FUNC(tasdevice_reset, "_gpl", "");
KSYMTAB_FUNC(tascodec_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dsp_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_save_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_apply_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_getvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_getvol, "_gpl", "");

SYMBOL_CRC(tasdevice_dev_read, 0xe6e5c6f7, "_gpl");
SYMBOL_CRC(tasdevice_dev_write, 0x280cb62a, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_write, 0x4528a8d5, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_read, 0x75aa8ba8, "_gpl");
SYMBOL_CRC(tasdevice_dev_update_bits, 0xc1029456, "_gpl");
SYMBOL_CRC(tasdevice_kzalloc, 0xe502868b, "_gpl");
SYMBOL_CRC(tasdevice_reset, 0x8755be85, "_gpl");
SYMBOL_CRC(tascodec_init, 0x9958ea87, "_gpl");
SYMBOL_CRC(tasdevice_init, 0x02fe8674, "_gpl");
SYMBOL_CRC(tasdevice_dsp_remove, 0xd60d28da, "_gpl");
SYMBOL_CRC(tasdevice_remove, 0xa3227779, "_gpl");
SYMBOL_CRC(tasdevice_save_calibration, 0x3de0a9b1, "_gpl");
SYMBOL_CRC(tasdevice_apply_calibration, 0x08ef8136, "_gpl");
SYMBOL_CRC(tasdevice_amp_putvol, 0x4f9be629, "_gpl");
SYMBOL_CRC(tasdevice_amp_getvol, 0x3faec042, "_gpl");
SYMBOL_CRC(tasdevice_digital_putvol, 0xba6e7d9e, "_gpl");
SYMBOL_CRC(tasdevice_digital_getvol, 0xca5b5bf5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92d13668, "regmap_write" },
	{ 0x3ad521ba, "devm_kmalloc" },
	{ 0xe96a6f2f, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xccd4b2cc, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf95dd64b, "_dev_err" },
	{ 0x1aee59c, "request_firmware_nowait" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9bc88e41, "regmap_read" },
	{ 0x1f1de281, "regmap_bulk_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe46a8525, "regmap_bulk_read" },
	{ 0xbb014f0e, "regmap_update_bits_base" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xc3a05325, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "74EB1B0674930239FD521EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
